import { SecretConfig } from "../types/secret-config.js";
import { BlueprintForTables } from "../types/blueprint-for-tables.js";
import { DatabaseNamespaced, DatabaseRaw } from "../types/database.js";
import { ConfigDatabaseMongo } from "../types/config-database-mongo.js";
import { UnconstrainedTables } from "../../../framework/api/types/table-namespacing-for-apps.js";
export declare function configureMongo({ blueprintForRawDatabase, blueprintForNamespacedDatabase, config, }: {
    blueprintForRawDatabase: BlueprintForTables<DatabaseRaw>;
    blueprintForNamespacedDatabase: BlueprintForTables<DatabaseNamespaced>;
    config: {
        database: ConfigDatabaseMongo;
    } & SecretConfig;
}): Promise<{
    mockStorage: import("../../../toolbox/flex-storage/types/flex-storage.js").FlexStorage;
    database: {
        auth: UnconstrainedTables<import("../../../features/auth/types/auth-tables.js").AuthTables>;
        store: UnconstrainedTables<{
            billing: import("../../../features/store/api/tables/types/billing-tables.js").BillingTables;
            merchant: import("../../../features/store/api/tables/types/merchant-tables.js").MerchantTables;
        }>;
        questions: UnconstrainedTables<import("../../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
        apps: import("../../../features/auth/aspects/apps/types/app-tables.js").AppTables;
    };
}>;
