import { prepareApiConfigurator } from "./prepare-api-configurator.js";
class ConfigNotSupportedInBrowserError extends Error {
    constructor(message) {
        super(message);
    }
}
function nope(message) {
    return function () {
        throw new ConfigNotSupportedInBrowserError(message);
    };
}
export const configureApiForBrowser = (storage) => prepareApiConfigurator({
    configureMongo: nope("config.database.mongo not supported in browser"),
    configureMailgun: nope("config.email.mailgun not supported in browser"),
    configureTokenFunctions: nope("config.crypto.keys must be 'mock-mode' in browser"),
    configureMockStorage: () => storage,
});
//# sourceMappingURL=configure-api-for-browser.js.map