import { DamnId } from "../../../toolbox/damnedb/damn-id.js";
import { PublicUserRole } from "../../../features/auth/aspects/users/types/public-user-role.js";
import { PermissionsTables } from "../../../features/auth/aspects/permissions/types/permissions-tables.js";
export declare function makePermissionsEngine({ isPlatform, permissionsTables }: {
    isPlatform: boolean;
    permissionsTables: PermissionsTables;
}): {
    getUsersHaveRoles: ({ userIds, onlyGetPublicRoles }: {
        userIds: string[];
        onlyGetPublicRoles: boolean;
    }) => Promise<{
        userId: string;
        userHasRoles: {
            userId: DamnId;
            roleId: DamnId;
            timeframeStart: number;
            timeframeEnd: number;
            public: boolean;
            hard: boolean;
        }[];
    }[]>;
    getAnonymousPrivileges: () => Promise<string[]>;
    getPrivilegesForUsers: (userIds: string[]) => Promise<{
        userId: string;
        privileges: string[];
    }[]>;
    getPublicRolesForUsers: (userIds: string[]) => Promise<{
        userId: string;
        publicUserRoles: PublicUserRole[];
    }[]>;
    getPermissionsDisplay: () => Promise<import("../../../toolbox/concurrent.js").AwaitProps<{
        roles: Promise<{
            roleId: string;
            assignable: boolean;
            label: string;
            hard: boolean;
            public: boolean;
        }[]>;
        privileges: Promise<{
            hard: boolean;
            label: string;
            privilegeId: string;
        }[]>;
        rolesHavePrivileges: Promise<{
            active: boolean;
            immutable: boolean;
            roleId: string;
            privilegeId: string;
        }[]>;
    }>>;
    getUserPrivileges: (userId: string) => Promise<string[]>;
};
