export declare const universalPermissions: import("./permissions-helpers.js").Permissions<{
    banned: string;
    "edit any profile": string;
    "customize permissions": string;
    "answer questions": string;
    "moderate questions": string;
    "view stats": string;
    "administrate user roles": string;
    "read questions": string;
    "post questions": string;
    "like questions": string;
    "report questions": string;
}, {
    anonymous: {
        roleId: string;
        public: true;
        assignable: false;
        hasPrivileges: {
            banned: {
                active: false;
                immutable: true;
            };
            "read questions": {
                active: true;
                immutable: false;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
    };
    authenticated: {
        roleId: string;
        public: false;
        assignable: false;
        hasPrivileges: {
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
    };
    banned: {
        roleId: string;
        public: true;
        assignable: true;
        hasPrivileges: {
            banned: {
                active: true;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
    };
    technician: {
        roleId: string;
        public: true;
        assignable: false;
        hasPrivileges: {
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
    };
}>;
export declare const platformPermissions: import("./permissions-helpers.js").Permissions<{
    "edit any app": string;
    "view platform stats": string;
    banned: string;
    "edit any profile": string;
    "customize permissions": string;
    "answer questions": string;
    "moderate questions": string;
    "view stats": string;
    "administrate user roles": string;
    "read questions": string;
    "post questions": string;
    "like questions": string;
    "report questions": string;
}, {
    anonymous: {
        hasPrivileges: {
            "edit any app": {
                active: boolean;
                immutable: boolean;
            };
            "view platform stats": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "read questions": {
                active: true;
                immutable: false;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: false;
    };
    authenticated: {
        hasPrivileges: {
            "edit any app": {
                active: boolean;
                immutable: boolean;
            };
            "view platform stats": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: false;
        assignable: false;
    };
    banned: {
        hasPrivileges: {
            "edit any app": {
                active: boolean;
                immutable: boolean;
            };
            "view platform stats": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: true;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: true;
    };
    technician: {
        hasPrivileges: {
            "edit any app": {
                active: boolean;
                immutable: boolean;
            };
            "view platform stats": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: false;
    };
}>;
export declare const appPermissions: import("./permissions-helpers.js").Permissions<{
    "manage store": string;
    "give away freebies": string;
    banned: string;
    "edit any profile": string;
    "customize permissions": string;
    "answer questions": string;
    "moderate questions": string;
    "view stats": string;
    "administrate user roles": string;
    "read questions": string;
    "post questions": string;
    "like questions": string;
    "report questions": string;
}, {
    anonymous: {
        hasPrivileges: {
            "manage store": {
                active: boolean;
                immutable: boolean;
            };
            "give away freebies": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "read questions": {
                active: true;
                immutable: false;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: false;
    };
    authenticated: {
        hasPrivileges: {
            "manage store": {
                active: boolean;
                immutable: boolean;
            };
            "give away freebies": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: false;
        assignable: false;
    };
    banned: {
        hasPrivileges: {
            "manage store": {
                active: boolean;
                immutable: boolean;
            };
            "give away freebies": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: true;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: true;
    };
    admin: {
        roleId: string;
        public: true;
        assignable: false;
        hasPrivileges: {
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
            "manage store": {
                active: boolean;
                immutable: boolean;
            };
            "give away freebies": {
                active: boolean;
                immutable: boolean;
            };
        };
    };
    technician: {
        hasPrivileges: {
            "manage store": {
                active: boolean;
                immutable: boolean;
            };
            "give away freebies": {
                active: boolean;
                immutable: boolean;
            };
            banned: {
                active: false;
                immutable: true;
            };
            "edit any profile": {
                active: boolean;
                immutable: boolean;
            };
            "customize permissions": {
                active: boolean;
                immutable: boolean;
            };
            "answer questions": {
                active: boolean;
                immutable: boolean;
            };
            "moderate questions": {
                active: boolean;
                immutable: boolean;
            };
            "view stats": {
                active: boolean;
                immutable: boolean;
            };
            "administrate user roles": {
                active: boolean;
                immutable: boolean;
            };
            "read questions": {
                active: boolean;
                immutable: boolean;
            };
            "post questions": {
                active: boolean;
                immutable: boolean;
            };
            "like questions": {
                active: boolean;
                immutable: boolean;
            };
            "report questions": {
                active: boolean;
                immutable: boolean;
            };
        };
        roleId: string;
        public: true;
        assignable: false;
    };
}>;
