/// <reference types="stripe/types/shared" />
/// <reference types="stripe/types/Errors" />
/// <reference types="stripe/types/OAuth" />
/// <reference types="stripe/types/Webhooks" />
/// <reference types="stripe/types/2020-08-27/AccountLinks" />
/// <reference types="stripe/types/2020-08-27/Accounts" />
/// <reference types="stripe/types/2020-08-27/AlipayAccounts" />
/// <reference types="stripe/types/2020-08-27/ApplePayDomains" />
/// <reference types="stripe/types/2020-08-27/ApplicationFees" />
/// <reference types="stripe/types/2020-08-27/Applications" />
/// <reference types="stripe/types/2020-08-27/Balance" />
/// <reference types="stripe/types/2020-08-27/BalanceTransactions" />
/// <reference types="stripe/types/2020-08-27/BankAccounts" />
/// <reference types="stripe/types/2020-08-27/BillingPortal/Configurations" />
/// <reference types="stripe/types/2020-08-27/BillingPortal/Sessions" />
/// <reference types="stripe/types/2020-08-27/BitcoinReceivers" />
/// <reference types="stripe/types/2020-08-27/BitcoinTransactions" />
/// <reference types="stripe/types/2020-08-27/Capabilities" />
/// <reference types="stripe/types/2020-08-27/Cards" />
/// <reference types="stripe/types/2020-08-27/Charges" />
/// <reference types="stripe/types/2020-08-27/Checkout/Sessions" />
/// <reference types="stripe/types/2020-08-27/ConnectCollectionTransfers" />
/// <reference types="stripe/types/2020-08-27/CountrySpecs" />
/// <reference types="stripe/types/2020-08-27/Coupons" />
/// <reference types="stripe/types/2020-08-27/CreditNoteLineItems" />
/// <reference types="stripe/types/2020-08-27/CreditNotes" />
/// <reference types="stripe/types/2020-08-27/CustomerBalanceTransactions" />
/// <reference types="stripe/types/2020-08-27/CustomerSources" />
/// <reference types="stripe/types/2020-08-27/Customers" />
/// <reference types="stripe/types/2020-08-27/Discounts" />
/// <reference types="stripe/types/2020-08-27/Disputes" />
/// <reference types="stripe/types/2020-08-27/EphemeralKeys" />
/// <reference types="stripe/types/2020-08-27/Events" />
/// <reference types="stripe/types/2020-08-27/ExchangeRates" />
/// <reference types="stripe/types/2020-08-27/ExternalAccounts" />
/// <reference types="stripe/types/2020-08-27/FeeRefunds" />
/// <reference types="stripe/types/2020-08-27/FileLinks" />
/// <reference types="stripe/types/2020-08-27/Files" />
/// <reference types="stripe/types/2020-08-27/Identity/VerificationReports" />
/// <reference types="stripe/types/2020-08-27/Identity/VerificationSessions" />
/// <reference types="stripe/types/2020-08-27/InvoiceItems" />
/// <reference types="stripe/types/2020-08-27/InvoiceLineItems" />
/// <reference types="stripe/types/2020-08-27/Invoices" />
/// <reference types="stripe/types/2020-08-27/IssuerFraudRecords" />
/// <reference types="stripe/types/2020-08-27/Issuing/Authorizations" />
/// <reference types="stripe/types/2020-08-27/Issuing/CardDetails" />
/// <reference types="stripe/types/2020-08-27/Issuing/Cardholders" />
/// <reference types="stripe/types/2020-08-27/Issuing/Cards" />
/// <reference types="stripe/types/2020-08-27/Issuing/Disputes" />
/// <reference types="stripe/types/2020-08-27/Issuing/Transactions" />
/// <reference types="stripe/types/2020-08-27/LineItems" />
/// <reference types="stripe/types/2020-08-27/LoginLinks" />
/// <reference types="stripe/types/2020-08-27/Mandates" />
/// <reference types="stripe/types/2020-08-27/OrderItems" />
/// <reference types="stripe/types/2020-08-27/OrderReturns" />
/// <reference types="stripe/types/2020-08-27/Orders" />
/// <reference types="stripe/types/2020-08-27/PaymentIntents" />
/// <reference types="stripe/types/2020-08-27/PaymentMethods" />
/// <reference types="stripe/types/2020-08-27/Payouts" />
/// <reference types="stripe/types/2020-08-27/Persons" />
/// <reference types="stripe/types/2020-08-27/Plans" />
/// <reference types="stripe/types/2020-08-27/PlatformTaxFees" />
/// <reference types="stripe/types/2020-08-27/Prices" />
/// <reference types="stripe/types/2020-08-27/Products" />
/// <reference types="stripe/types/2020-08-27/PromotionCodes" />
/// <reference types="stripe/types/2020-08-27/Quotes" />
/// <reference types="stripe/types/2020-08-27/Radar/EarlyFraudWarnings" />
/// <reference types="stripe/types/2020-08-27/Radar/ValueListItems" />
/// <reference types="stripe/types/2020-08-27/Radar/ValueLists" />
/// <reference types="stripe/types/2020-08-27/Recipients" />
/// <reference types="stripe/types/2020-08-27/Refunds" />
/// <reference types="stripe/types/2020-08-27/Reporting/ReportRuns" />
/// <reference types="stripe/types/2020-08-27/Reporting/ReportTypes" />
/// <reference types="stripe/types/2020-08-27/ReserveTransactions" />
/// <reference types="stripe/types/2020-08-27/Reviews" />
/// <reference types="stripe/types/2020-08-27/SKUs" />
/// <reference types="stripe/types/2020-08-27/SetupAttempts" />
/// <reference types="stripe/types/2020-08-27/SetupIntents" />
/// <reference types="stripe/types/2020-08-27/Sigma/ScheduledQueryRuns" />
/// <reference types="stripe/types/2020-08-27/SourceMandateNotifications" />
/// <reference types="stripe/types/2020-08-27/SourceTransactions" />
/// <reference types="stripe/types/2020-08-27/Sources" />
/// <reference types="stripe/types/2020-08-27/SubscriptionItems" />
/// <reference types="stripe/types/2020-08-27/SubscriptionSchedules" />
/// <reference types="stripe/types/2020-08-27/Subscriptions" />
/// <reference types="stripe/types/2020-08-27/TaxCodes" />
/// <reference types="stripe/types/2020-08-27/TaxDeductedAtSources" />
/// <reference types="stripe/types/2020-08-27/TaxIds" />
/// <reference types="stripe/types/2020-08-27/TaxRates" />
/// <reference types="stripe/types/2020-08-27/Terminal/ConnectionTokens" />
/// <reference types="stripe/types/2020-08-27/Terminal/Locations" />
/// <reference types="stripe/types/2020-08-27/Terminal/Readers" />
/// <reference types="stripe/types/2020-08-27/Tokens" />
/// <reference types="stripe/types/2020-08-27/Topups" />
/// <reference types="stripe/types/2020-08-27/TransferReversals" />
/// <reference types="stripe/types/2020-08-27/Transfers" />
/// <reference types="stripe/types/2020-08-27/UsageRecordSummaries" />
/// <reference types="stripe/types/2020-08-27/UsageRecords" />
/// <reference types="stripe/types/2020-08-27/WebhookEndpoints" />
/// <reference types="stripe" />
/// <reference types="stripe/types/lib" />
import { SecretConfig } from "./types/secret-config.js";
import { DamnId } from "../../toolbox/damnedb/damn-id.js";
import { configureMongo } from "./configurators/configure-mongo.js";
import { DatabaseNamespaced, DatabaseRaw } from "./types/database.js";
import { SendEmail } from "../../features/auth/types/emails/send-email.js";
import { FlexStorage } from "../../toolbox/flex-storage/types/flex-storage.js";
import { configureMailgun } from "../backend/configurators/configure-mailgun.js";
import { configureTokenFunctions } from "./configurators/configure-token-functions.js";
import { Unconstrain } from "../../framework/api/types/table-namespacing-for-apps.js";
export declare function prepareApiConfigurator(configurators: {
    configureMongo: typeof configureMongo;
    configureMailgun: typeof configureMailgun;
    configureTokenFunctions: typeof configureTokenFunctions;
    configureMockStorage: () => FlexStorage;
}): (config: SecretConfig) => Promise<{
    api: {
        auth: {
            apps: {
                appService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").PlatformUserMeta, import("../../features/auth/types/auth-metas.js").PlatformUserAuth, {
                    listApps({ appTables, statsHub }: import("../../features/auth/types/auth-metas.js").PlatformUserAuth, { ownerUserId: ownerUserIdString }: {
                        ownerUserId: string;
                    }): Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
                    registerApp({ appTables }: import("../../features/auth/types/auth-metas.js").PlatformUserAuth, { appDraft, ownerUserId: ownerUserIdString }: {
                        appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                        ownerUserId: string;
                    }): Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
                }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").PlatformUserMeta, import("../../features/auth/types/auth-metas.js").PlatformUserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                appEditService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
                    updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                        appId: string;
                        appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                    }): Promise<void>;
                    deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                        appId: string;
                    }): Promise<void>;
                    listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                        appId: string;
                    }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
                    assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                        appId: string;
                        platformUserId: string;
                    }): Promise<void>;
                    assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                        appId: string;
                        email: string;
                    }): Promise<void>;
                    revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                        appId: string;
                        userId: string;
                    }): Promise<void>;
                }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
            };
            users: {
                greenService: import("renraku/x/types/api/api-context").ApiContext<undefined, import("../../features/auth/types/auth-metas.js").GreenAuth, {
                    authorize({ appTables, authTables: unconstrainedAuthTables }: import("../../features/auth/types/auth-metas.js").GreenAuth, { scope, refreshToken, appId: appIdString, }: {
                        scope: import("../../features/auth/types/auth-tokens.js").CoreScope;
                        appId: string;
                        refreshToken?: string;
                    }): Promise<string>;
                }, import("renraku/x/types/primitives/policy").Policy<undefined, import("../../features/auth/types/auth-metas.js").GreenAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                loginService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, {
                    sendLoginLink({ access, authTables, appTables }: import("../../features/auth/types/auth-metas.js").LoginAuth, inputs: {
                        email: string;
                    }): Promise<void>;
                    authenticateViaLoginToken({ access, authTables }: import("../../features/auth/types/auth-metas.js").LoginAuth, { loginToken }: {
                        loginToken: string;
                    }): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                        accessToken: Promise<string>;
                        refreshToken: Promise<string>;
                    }>>;
                }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                userService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").AnonAuth, {
                    getUser({ authTables, access }: import("../../features/auth/types/auth-metas.js").AnonAuth, { userId }: {
                        userId: string;
                    }): Promise<{
                        userId: string;
                        profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                        roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                        stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                    }>;
                }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                personalService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").AnonAuth, {
                    setProfile({ access, authTables, checker }: import("../../features/auth/types/auth-metas.js").AnonAuth, { userId: userIdString, profileDraft }: {
                        userId: string;
                        profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft;
                    }): Promise<void>;
                }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
            };
            permissions: {
                permissionsService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, {
                    fetchPermissions({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                        roles: Promise<{
                            roleId: string;
                            assignable: boolean;
                            label: string;
                            hard: boolean;
                            public: boolean;
                        }[]>;
                        privileges: Promise<{
                            hard: boolean;
                            label: string;
                            privilegeId: string;
                        }[]>;
                        rolesHavePrivileges: Promise<{
                            active: boolean;
                            immutable: boolean;
                            roleId: string;
                            privilegeId: string;
                        }[]>;
                    }>>;
                    createRole({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { label }: {
                        label: string;
                    }): Promise<void>;
                    deleteRole({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString }: {
                        roleId: string;
                    }): Promise<void>;
                    assignPrivilege({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                        roleId: string;
                        privilegeId: string;
                    }): Promise<void>;
                    unassignPrivilege({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                        roleId: string;
                        privilegeId: string;
                    }): Promise<void>;
                }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth>>;
            };
        };
        administrative: {
            roleAssignmentService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, {
                fetchPermissions({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                    roles: Promise<{
                        roleId: string;
                        assignable: boolean;
                        label: string;
                        hard: boolean;
                        public: boolean;
                    }[]>;
                    privileges: Promise<{
                        hard: boolean;
                        label: string;
                        privilegeId: string;
                    }[]>;
                    rolesHavePrivileges: Promise<{
                        active: boolean;
                        immutable: boolean;
                        roleId: string;
                        privilegeId: string;
                    }[]>;
                }>>;
                searchUsers({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                    term: string;
                }): Promise<{
                    user: {
                        userId: string;
                        profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                        roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                        stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                    };
                    roleIds: string[];
                }[]>;
                assignRoleToUser({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                    roleId: string;
                    userId: string;
                    isPublic: boolean;
                    timeframeEnd: number;
                    timeframeStart: number;
                }): Promise<void>;
                revokeRoleFromUser({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                    roleId: string;
                    userId: string;
                }): Promise<void>;
            }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth>>;
        };
        questions: {
            questionsReadingService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsAnonAuth, {
                fetchQuestions({ access, authTables, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsAnonAuth, { board }: {
                    board: string;
                }): Promise<{
                    users: {
                        userId: string;
                        profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                        roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                        stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                    }[];
                    questions: {
                        answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                        questionId: string;
                        authorUserId: string;
                        board: string;
                        content: string;
                        archive: boolean;
                        timePosted: number;
                        liked: boolean;
                        likes: number;
                        reports: number;
                        reported: boolean;
                    }[];
                }>;
            }, (meta: import("../../features/auth/types/auth-metas.js").AnonMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").LoginAuth & {
                questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                    "namespace-appId": DamnId;
                }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
            }>>;
            questionsPostingService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                postQuestion({ access, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft;
                }): Promise<import("../../features/questions/api/types/questions-and-answers.js").Question>;
                archiveQuestion({ access: { user: { userId } }, questionsTables, checker }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    archive: boolean;
                    questionId: string;
                }): Promise<void>;
                likeQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    like: boolean;
                    questionId: string;
                }): Promise<void>;
                reportQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    report: boolean;
                    questionId: string;
                }): Promise<void>;
            }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                    "namespace-appId": DamnId;
                }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
            }>>;
            questionsAnsweringService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                postAnswer({ access, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    questionId: string;
                    answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft;
                }): Promise<import("../../features/questions/api/types/questions-and-answers.js").Answer>;
                archiveAnswer({ access: { user: { userId } }, checker, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    archive: boolean;
                    answerId: string;
                }): Promise<void>;
                likeAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    like: boolean;
                    answerId: string;
                }): Promise<void>;
                reportAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                    report: boolean;
                    answerId: string;
                }): Promise<void>;
            }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                    "namespace-appId": DamnId;
                }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
            }>>;
            questionsModerationService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                archiveBoard({ questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, { board }: {
                    board: string;
                }): Promise<void>;
                fetchReportedQuestions(): Promise<void>;
            }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                    "namespace-appId": DamnId;
                }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
            }>>;
        };
    };
    config: SecretConfig;
    emails: {
        sendEmail: SendEmail;
        enableEmails: () => void;
        disableEmails: () => void;
        sendLoginEmail: (details: import("../../features/auth/aspects/users/types/emails/login-email-details.js").LoginEmailDetails) => Promise<void>;
        recallLatestLoginEmail: () => import("../../features/auth/aspects/users/types/emails/login-email-details.js").LoginEmailDetails;
    };
    database: DatabaseRaw & Unconstrain<DatabaseNamespaced>;
    stripeComplex: {
        stripeLiaisonForPlatform: {
            accounts: {
                create(params: import("stripe").Stripe.AccountCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Account>>;
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Account>>;
            };
            accountLinks: {
                create(params: import("stripe").Stripe.AccountLinkCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.AccountLink>>;
            };
        };
        connectStripeLiaisonForApp(stripeConnectAccountId: string): {
            customers: {
                create(params: import("stripe").Stripe.CustomerCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Customer>>;
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Customer | import("stripe").Stripe.DeletedCustomer>>;
                update(id: string, params: import("stripe").Stripe.CustomerUpdateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Customer>>;
            };
            products: {
                create(params: import("stripe").Stripe.ProductCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Product>>;
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Product>>;
                update(id: string, params: import("stripe").Stripe.ProductUpdateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Product>>;
            };
            prices: {
                create(params: import("stripe").Stripe.PriceCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Price>>;
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Price>>;
                update(id: string, params: import("stripe").Stripe.PriceUpdateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Price>>;
            };
            paymentMethods: {
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.PaymentMethod>>;
            };
            setupIntents: {
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.SetupIntent>>;
            };
            subscriptions: {
                retrieve(id: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Subscription>>;
                update(id: string, params: import("stripe").Stripe.SubscriptionUpdateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Subscription>>;
            };
            checkout: {
                sessions: {
                    create(params: import("stripe").Stripe.Checkout.SessionCreateParams): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Checkout.Session>>;
                };
            };
        };
    };
    mockStripeOperations: {
        linkBankWithExistingStripeAccount: (stripeAccountId: string) => Promise<void>;
    };
    platformAppId: string;
    mockBrowser: () => Promise<{
        mockAppWindow: ({ appId, apiLink, windowLink, }: {
            appId: string;
            apiLink: string;
            windowLink: string;
        }) => Promise<{
            models: {
                appsModel: {
                    readonly state: {
                        active: boolean;
                        appRecords: import("../../framework/ops.js").Op<import("../../features/auth/aspects/apps/models/types/app-records.js").AppRecords>;
                        addingNewApp: import("../../framework/ops.js").Op<null>;
                    };
                    appEditService: import("renraku/x/types/remote/remote").Remote<import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
                        updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                            appId: string;
                            appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                        }): Promise<void>;
                        deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                            appId: string;
                        }): Promise<void>;
                        listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                            appId: string;
                        }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
                        assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                            appId: string;
                            platformUserId: string;
                        }): Promise<void>;
                        assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                            appId: string;
                            email: string;
                        }): Promise<void>;
                        revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                            appId: string;
                            userId: string;
                        }): Promise<void>;
                    }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>>;
                    getApp(appId: string): import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay;
                    onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                    loadApps: () => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
                    deleteApp: (appId: string) => Promise<void>;
                    updateApp: (appId: string, appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<void>;
                    registerApp: (appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
                    accessChange(): Promise<void>;
                };
                accessModel: {
                    track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                    readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                    onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
                    getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                    useExistingLogin(): Promise<void>;
                    sendLoginLink(email: string): Promise<void>;
                    login(loginToken: string): Promise<void>;
                    logout(): Promise<void>;
                    reauthorize(): Promise<void>;
                };
                personalModel: {
                    readonly submitDraftOp: import("../../framework/ops.js").Op<void>;
                    saveProfile(profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft): Promise<void>;
                };
                questionsModel: {
                    onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                    makeBoardModel: (board: string) => {
                        getPermissions(): {
                            readonly "read questions": boolean;
                            readonly "post questions": boolean;
                            readonly "moderate questions": boolean;
                            readonly "answer questions": boolean;
                            readonly "like questions": boolean;
                            readonly "report questions": boolean;
                        };
                        getBoardName(): string;
                        getAccess(): import("../../features/auth/types/auth-tokens.js").AccessPayload;
                        getBoardOp(): import("../../framework/ops.js").Op<void>;
                        getPostingOp(): import("../../framework/ops.js").Op<void>;
                        getQuestions(): {
                            answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                            questionId: string;
                            authorUserId: string;
                            board: string;
                            content: string;
                            archive: boolean;
                            timePosted: number;
                            liked: boolean;
                            likes: number;
                            reports: number;
                            reported: boolean;
                        }[];
                        getUser(userId: string): import("../../features/auth/aspects/users/types/user.js").User;
                        loadQuestions(): Promise<void>;
                        postQuestion(questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft): Promise<void>;
                        postAnswer(questionId: string, answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft): Promise<void>;
                        likeQuestion(questionId: string, like: boolean): Promise<void>;
                        likeAnswer(questionId: string, answerId: string, like: boolean): Promise<void>;
                        reportQuestion(questionId: string, report: boolean): Promise<void>;
                        reportAnswer(questionId: string, answerId: string, report: boolean): Promise<void>;
                        archiveQuestion(questionId: string, archive: boolean): Promise<void>;
                        archiveAnswer(questionId: string, answerId: string, archive: boolean): Promise<void>;
                        archiveBoard(): Promise<void>;
                    };
                    accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
                };
                permissionsModel: {
                    onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                    getState: () => {
                        active: boolean;
                        access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                        permissionsDisplay: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
                    };
                    initialize: () => Promise<void>;
                    getUserCanCustomizePermissions: () => boolean;
                    createRole: (args_0: {
                        label: string;
                    }) => Promise<void>;
                    deleteRole: (args_0: {
                        roleId: string;
                    }) => Promise<void>;
                    assignPrivilege: (args_0: {
                        roleId: string;
                        privilegeId: string;
                    }) => Promise<void>;
                    unassignPrivilege: (args_0: {
                        roleId: string;
                        privilegeId: string;
                    }) => Promise<void>;
                    accessChange(access: import("../../features/auth/types/auth-tokens.js").AccessPayload): Promise<void>;
                };
                administrativeModel: {
                    getState: () => {
                        access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                        permissionsOp: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
                    };
                    onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                    initialize: () => Promise<void>;
                    readonly isAllowed: (privilege: "read questions" | "post questions" | "like questions" | "report questions" | "edit any profile" | "customize permissions" | "answer questions" | "moderate questions" | "view stats" | "administrate user roles" | "banned" | "manage store" | "give away freebies") => boolean;
                    accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
                    reauthorize: () => Promise<void>;
                    searchUsers: (args_0: {
                        term: string;
                    }) => Promise<{
                        user: {
                            userId: string;
                            profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                            roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                            stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                        };
                        roleIds: string[];
                    }[]>;
                    assignRoleToUser: (args_0: {
                        roleId: string;
                        userId: string;
                        isPublic: boolean;
                        timeframeEnd: number;
                        timeframeStart: number;
                    }) => Promise<void>;
                    revokeRoleFromUser: (args_0: {
                        roleId: string;
                        userId: string;
                    }) => Promise<void>;
                };
            };
            remote: import("renraku/x/types/remote/remote").Remote<{
                auth: {
                    apps: {
                        appService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").PlatformUserMeta, import("../../features/auth/types/auth-metas.js").PlatformUserAuth, {
                            listApps({ appTables, statsHub }: import("../../features/auth/types/auth-metas.js").PlatformUserAuth, { ownerUserId: ownerUserIdString }: {
                                ownerUserId: string;
                            }): Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
                            registerApp({ appTables }: import("../../features/auth/types/auth-metas.js").PlatformUserAuth, { appDraft, ownerUserId: ownerUserIdString }: {
                                appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                                ownerUserId: string;
                            }): Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").PlatformUserMeta, import("../../features/auth/types/auth-metas.js").PlatformUserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                        appEditService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
                            updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                                appId: string;
                                appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                            }): Promise<void>;
                            deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                                appId: string;
                            }): Promise<void>;
                            listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                                appId: string;
                            }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
                            assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                                appId: string;
                                platformUserId: string;
                            }): Promise<void>;
                            assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                                appId: string;
                                email: string;
                            }): Promise<void>;
                            revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                                appId: string;
                                userId: string;
                            }): Promise<void>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                    };
                    users: {
                        greenService: import("renraku/x/types/api/api-context").ApiContext<undefined, import("../../features/auth/types/auth-metas.js").GreenAuth, {
                            authorize({ appTables, authTables: unconstrainedAuthTables }: import("../../features/auth/types/auth-metas.js").GreenAuth, { scope, refreshToken, appId: appIdString, }: {
                                scope: import("../../features/auth/types/auth-tokens.js").CoreScope;
                                appId: string;
                                refreshToken?: string;
                            }): Promise<string>;
                        }, import("renraku/x/types/primitives/policy").Policy<undefined, import("../../features/auth/types/auth-metas.js").GreenAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                        loginService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, {
                            sendLoginLink({ access, authTables, appTables }: import("../../features/auth/types/auth-metas.js").LoginAuth, inputs: {
                                email: string;
                            }): Promise<void>;
                            authenticateViaLoginToken({ access, authTables }: import("../../features/auth/types/auth-metas.js").LoginAuth, { loginToken }: {
                                loginToken: string;
                            }): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                                accessToken: Promise<string>;
                                refreshToken: Promise<string>;
                            }>>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                        userService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").AnonAuth, {
                            getUser({ authTables, access }: import("../../features/auth/types/auth-metas.js").AnonAuth, { userId }: {
                                userId: string;
                            }): Promise<{
                                userId: string;
                                profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                                roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                                stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                            }>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                        personalService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/auth/types/auth-metas.js").AnonAuth, {
                            setProfile({ access, authTables, checker }: import("../../features/auth/types/auth-metas.js").AnonAuth, { userId: userIdString, profileDraft }: {
                                userId: string;
                                profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft;
                            }): Promise<void>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
                    };
                    permissions: {
                        permissionsService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, {
                            fetchPermissions({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                                roles: Promise<{
                                    roleId: string;
                                    assignable: boolean;
                                    label: string;
                                    hard: boolean;
                                    public: boolean;
                                }[]>;
                                privileges: Promise<{
                                    hard: boolean;
                                    label: string;
                                    privilegeId: string;
                                }[]>;
                                rolesHavePrivileges: Promise<{
                                    active: boolean;
                                    immutable: boolean;
                                    roleId: string;
                                    privilegeId: string;
                                }[]>;
                            }>>;
                            createRole({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { label }: {
                                label: string;
                            }): Promise<void>;
                            deleteRole({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString }: {
                                roleId: string;
                            }): Promise<void>;
                            assignPrivilege({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                                roleId: string;
                                privilegeId: string;
                            }): Promise<void>;
                            unassignPrivilege({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                                roleId: string;
                                privilegeId: string;
                            }): Promise<void>;
                        }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth>>;
                    };
                };
                administrative: {
                    roleAssignmentService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/auth/types/auth-metas.js").UserAuth, {
                        fetchPermissions({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                            roles: Promise<{
                                roleId: string;
                                assignable: boolean;
                                label: string;
                                hard: boolean;
                                public: boolean;
                            }[]>;
                            privileges: Promise<{
                                hard: boolean;
                                label: string;
                                privilegeId: string;
                            }[]>;
                            rolesHavePrivileges: Promise<{
                                active: boolean;
                                immutable: boolean;
                                roleId: string;
                                privilegeId: string;
                            }[]>;
                        }>>;
                        searchUsers({ access, authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                            term: string;
                        }): Promise<{
                            user: {
                                userId: string;
                                profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                                roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                                stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                            };
                            roleIds: string[];
                        }[]>;
                        assignRoleToUser({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                            roleId: string;
                            userId: string;
                            isPublic: boolean;
                            timeframeEnd: number;
                            timeframeStart: number;
                        }): Promise<void>;
                        revokeRoleFromUser({ authTables }: import("../../features/auth/types/auth-metas.js").UserAuth, options: {
                            roleId: string;
                            userId: string;
                        }): Promise<void>;
                    }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth>>;
                };
                questions: {
                    questionsReadingService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AnonMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsAnonAuth, {
                        fetchQuestions({ access, authTables, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsAnonAuth, { board }: {
                            board: string;
                        }): Promise<{
                            users: {
                                userId: string;
                                profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                                roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                                stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                            }[];
                            questions: {
                                answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                                questionId: string;
                                authorUserId: string;
                                board: string;
                                content: string;
                                archive: boolean;
                                timePosted: number;
                                liked: boolean;
                                likes: number;
                                reports: number;
                                reported: boolean;
                            }[];
                        }>;
                    }, (meta: import("../../features/auth/types/auth-metas.js").AnonMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").LoginAuth & {
                        questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                            "namespace-appId": DamnId;
                        }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
                    }>>;
                    questionsPostingService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                        postQuestion({ access, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft;
                        }): Promise<import("../../features/questions/api/types/questions-and-answers.js").Question>;
                        archiveQuestion({ access: { user: { userId } }, questionsTables, checker }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            archive: boolean;
                            questionId: string;
                        }): Promise<void>;
                        likeQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            like: boolean;
                            questionId: string;
                        }): Promise<void>;
                        reportQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            report: boolean;
                            questionId: string;
                        }): Promise<void>;
                    }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                        questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                            "namespace-appId": DamnId;
                        }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
                    }>>;
                    questionsAnsweringService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                        postAnswer({ access, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            questionId: string;
                            answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft;
                        }): Promise<import("../../features/questions/api/types/questions-and-answers.js").Answer>;
                        archiveAnswer({ access: { user: { userId } }, checker, questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            archive: boolean;
                            answerId: string;
                        }): Promise<void>;
                        likeAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            like: boolean;
                            answerId: string;
                        }): Promise<void>;
                        reportAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
                            report: boolean;
                            answerId: string;
                        }): Promise<void>;
                    }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                        questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                            "namespace-appId": DamnId;
                        }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
                    }>>;
                    questionsModerationService: import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").UserMeta, import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, {
                        archiveBoard({ questionsTables }: import("../../features/questions/api/types/questions-metas-and-auths.js").QuestionsUserAuth, { board }: {
                            board: string;
                        }): Promise<void>;
                        fetchReportedQuestions(): Promise<void>;
                    }, (meta: import("../../features/auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../features/auth/types/auth-metas.js").UserAuth & {
                        questionsTables: import("../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
                            "namespace-appId": DamnId;
                        }, import("../../features/questions/api/tables/types/questions-tables.js").QuestionsTables>;
                    }>>;
                };
            }>;
            nextModalResults: {
                confirm: boolean;
                prompt: {
                    value: any;
                };
            };
        }>;
    }>;
}>;
