import { Remote } from "renraku/x/types/remote/remote.js";
import { SystemApi } from "../backend/types/system-api.js";
import { SystemPopups } from "./connect/system-popups/types/system-popups.js";
import { FlexStorage } from "../../toolbox/flex-storage/types/flex-storage.js";
import { AuthMediator } from "../../features/auth/mediator/types/auth-mediator.js";
export declare function assembleAndInitializeFrontend({ appId, popups, storage, authMediator, remote, }: {
    appId: string;
    popups: SystemPopups;
    storage: FlexStorage;
    authMediator: AuthMediator;
    remote: Remote<SystemApi>;
}): Promise<{
    components: {
        XiomeManageUsers: {
            new (...args: any[]): {
                "__#3@#unsubscribes": (() => void)[];
                connectedCallback(): void;
                disconnectedCallback(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    modals: import("./modal/types/modal-system.js").ModalSystem;
                    administrativeModel: {
                        getState: () => {
                            access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                            permissionsOp: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
                        };
                        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                        initialize: () => Promise<void>;
                        readonly isAllowed: (privilege: "read questions" | "post questions" | "like questions" | "report questions" | "edit any profile" | "customize permissions" | "answer questions" | "moderate questions" | "view stats" | "administrate user roles" | "banned" | "manage store" | "give away freebies") => boolean;
                        accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
                        reauthorize: () => Promise<void>;
                        searchUsers: (args_0: {
                            term: string;
                        }) => Promise<{
                            user: {
                                userId: string;
                                profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                                roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                                stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                            };
                            roleIds: string[];
                        }[]>;
                        assignRoleToUser: (args_0: {
                            roleId: string;
                            userId: string;
                            isPublic: boolean;
                            timeframeEnd: number;
                            timeframeStart: number;
                        }) => Promise<void>;
                        revokeRoleFromUser: (args_0: {
                            roleId: string;
                            userId: string;
                        }) => Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/administrative/components/xiome-manage-users.js").XiomeManageUsers;
        XiomeQuestions: {
            new (...args: any[]): {
                "__#3@#unsubscribes": (() => void)[];
                connectedCallback(): void;
                disconnectedCallback(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    modals: import("./modal/types/modal-system.js").ModalSystem;
                    questionsModel: {
                        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                        makeBoardModel: (board: string) => {
                            getPermissions(): {
                                readonly "read questions": boolean;
                                readonly "post questions": boolean;
                                readonly "moderate questions": boolean;
                                readonly "answer questions": boolean;
                                readonly "like questions": boolean;
                                readonly "report questions": boolean;
                            };
                            getBoardName(): string;
                            getAccess(): import("../../features/auth/types/auth-tokens.js").AccessPayload;
                            getBoardOp(): import("../../framework/ops.js").Op<void>;
                            getPostingOp(): import("../../framework/ops.js").Op<void>;
                            getQuestions(): {
                                answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                                questionId: string;
                                authorUserId: string;
                                board: string;
                                content: string;
                                archive: boolean;
                                timePosted: number;
                                liked: boolean;
                                likes: number;
                                reports: number;
                                reported: boolean;
                            }[];
                            getUser(userId: string): import("../../features/auth/aspects/users/types/user.js").User;
                            loadQuestions(): Promise<void>;
                            postQuestion(questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft): Promise<void>;
                            postAnswer(questionId: string, answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft): Promise<void>;
                            likeQuestion(questionId: string, like: boolean): Promise<void>;
                            likeAnswer(questionId: string, answerId: string, like: boolean): Promise<void>;
                            reportQuestion(questionId: string, report: boolean): Promise<void>;
                            reportAnswer(questionId: string, answerId: string, report: boolean): Promise<void>;
                            archiveQuestion(questionId: string, archive: boolean): Promise<void>;
                            archiveAnswer(questionId: string, answerId: string, archive: boolean): Promise<void>;
                            archiveBoard(): Promise<void>;
                        };
                        accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
                    };
                };
            };
        } & typeof import("../../features/questions/components/xiome-questions.js").XiomeQuestions;
        XiomeMyAvatar: {
            new (...args: any[]): {
                firstUpdated(changes: Map<string | number | symbol, unknown>): void;
                auto: {
                    observable: <xObject extends {}>(object: xObject) => xObject;
                    state: <xObject_1 extends {}>(object: xObject_1) => xObject_1;
                    track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                    watch: <X_1>(watcher: import("../../toolbox/autowatcher/types/autowatcher-types.js").Watcher<X_1>, effect?: import("../../toolbox/autowatcher/types/autowatcher-types.js").Effect<X_1>) => () => void;
                    action: <xAction extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Action>(act: xAction) => xAction;
                    actions: <xActions extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Actions>(object: xActions) => xActions;
                    dispose: () => void;
                    runInAction: (act: () => void) => void;
                };
                subscribeAutotrack(track: import("../../toolbox/autowatcher/types/autowatcher-types.js").Track<any>): void;
                dispose(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                connectedCallback?(): void;
                disconnectedCallback?(): void;
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    accessModel: {
                        track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                        readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
                        getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        useExistingLogin(): Promise<void>;
                        sendLoginLink(email: string): Promise<void>;
                        login(loginToken: string): Promise<void>;
                        logout(): Promise<void>;
                        reauthorize(): Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/auth/aspects/users/components/my-avatar/xiome-my-avatar.js").XiomeMyAvatar;
        XiomeLoginPanel: {
            new (...args: any[]): {
                firstUpdated(changes: Map<string | number | symbol, unknown>): void;
                auto: {
                    observable: <xObject extends {}>(object: xObject) => xObject;
                    state: <xObject_1 extends {}>(object: xObject_1) => xObject_1;
                    track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                    watch: <X_1>(watcher: import("../../toolbox/autowatcher/types/autowatcher-types.js").Watcher<X_1>, effect?: import("../../toolbox/autowatcher/types/autowatcher-types.js").Effect<X_1>) => () => void;
                    action: <xAction extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Action>(act: xAction) => xAction;
                    actions: <xActions extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Actions>(object: xActions) => xActions;
                    dispose: () => void;
                    runInAction: (act: () => void) => void;
                };
                subscribeAutotrack(track: import("../../toolbox/autowatcher/types/autowatcher-types.js").Track<any>): void;
                dispose(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                connectedCallback?(): void;
                disconnectedCallback?(): void;
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    accessModel: {
                        track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                        readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
                        getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        useExistingLogin(): Promise<void>;
                        sendLoginLink(email: string): Promise<void>;
                        login(loginToken: string): Promise<void>;
                        logout(): Promise<void>;
                        reauthorize(): Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/auth/aspects/users/components/login-panel/xiome-login-panel.js").XiomeLoginPanel;
        XiomeAppManager: {
            new (...args: any[]): {
                "__#3@#unsubscribes": (() => void)[];
                connectedCallback(): void;
                disconnectedCallback(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    modals: import("./modal/types/modal-system.js").ModalSystem;
                    appsModel: {
                        readonly state: {
                            active: boolean;
                            appRecords: import("../../framework/ops.js").Op<import("../../features/auth/aspects/apps/models/types/app-records.js").AppRecords>;
                            addingNewApp: import("../../framework/ops.js").Op<null>;
                        };
                        appEditService: Remote<import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
                            updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                                appId: string;
                                appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                            }): Promise<void>;
                            deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                                appId: string;
                            }): Promise<void>;
                            listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                                appId: string;
                            }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
                            assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                                appId: string;
                                platformUserId: string;
                            }): Promise<void>;
                            assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                                appId: string;
                                email: string;
                            }): Promise<void>;
                            revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                                appId: string;
                                userId: string;
                            }): Promise<void>;
                        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>>;
                        getApp(appId: string): import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay;
                        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                        loadApps: () => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
                        deleteApp: (appId: string) => Promise<void>;
                        updateApp: (appId: string, appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<void>;
                        registerApp: (appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
                        accessChange(): Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/auth/aspects/apps/components/app-manager/xiome-app-manager.js").XiomeAppManager;
        XiomeMyAccount: {
            new (...args: any[]): {
                firstUpdated(changes: Map<string | number | symbol, unknown>): void;
                auto: {
                    observable: <xObject extends {}>(object: xObject) => xObject;
                    state: <xObject_1 extends {}>(object: xObject_1) => xObject_1;
                    track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                    watch: <X_1>(watcher: import("../../toolbox/autowatcher/types/autowatcher-types.js").Watcher<X_1>, effect?: import("../../toolbox/autowatcher/types/autowatcher-types.js").Effect<X_1>) => () => void;
                    action: <xAction extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Action>(act: xAction) => xAction;
                    actions: <xActions extends import("../../toolbox/autowatcher/types/autowatcher-types.js").Actions>(object: xActions) => xActions;
                    dispose: () => void;
                    runInAction: (act: () => void) => void;
                };
                subscribeAutotrack(track: import("../../toolbox/autowatcher/types/autowatcher-types.js").Track<any>): void;
                dispose(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                connectedCallback?(): void;
                disconnectedCallback?(): void;
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    accessModel: {
                        track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
                        readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
                        getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
                        useExistingLogin(): Promise<void>;
                        sendLoginLink(email: string): Promise<void>;
                        login(loginToken: string): Promise<void>;
                        logout(): Promise<void>;
                        reauthorize(): Promise<void>;
                    };
                    personalModel: {
                        readonly submitDraftOp: import("../../framework/ops.js").Op<void>;
                        saveProfile(profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft): Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/auth/aspects/users/components/my-account/xiome-my-account.js").XiomeMyAccount;
        XiomePermissions: {
            new (...args: any[]): {
                "__#3@#unsubscribes": (() => void)[];
                connectedCallback(): void;
                disconnectedCallback(): void;
                requestUpdate: (name?: PropertyKey, oldValue?: unknown) => Promise<unknown>;
                observedAttributes?: string[];
                attributeChangedCallback?(attributeName: string, oldValue: string, newValue: string): void;
                accessKey: string;
                readonly accessKeyLabel: string;
                autocapitalize: string;
                dir: string;
                draggable: boolean;
                hidden: boolean;
                innerText: string;
                lang: string;
                readonly offsetHeight: number;
                readonly offsetLeft: number;
                readonly offsetParent: Element;
                readonly offsetTop: number;
                readonly offsetWidth: number;
                spellcheck: boolean;
                title: string;
                translate: boolean;
                click(): void;
                addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
                addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
                removeEventListener<K_1 extends keyof HTMLElementEventMap>(type: K_1, listener: (this: HTMLElement, ev: HTMLElementEventMap[K_1]) => any, options?: boolean | EventListenerOptions): void;
                removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
                readonly attributes: NamedNodeMap;
                readonly classList: DOMTokenList;
                className: string;
                readonly clientHeight: number;
                readonly clientLeft: number;
                readonly clientTop: number;
                readonly clientWidth: number;
                id: string;
                readonly localName: string;
                readonly namespaceURI: string;
                onfullscreenchange: (this: Element, ev: Event) => any;
                onfullscreenerror: (this: Element, ev: Event) => any;
                outerHTML: string;
                readonly ownerDocument: Document;
                readonly prefix: string;
                readonly scrollHeight: number;
                scrollLeft: number;
                scrollTop: number;
                readonly scrollWidth: number;
                readonly shadowRoot: ShadowRoot;
                slot: string;
                readonly tagName: string;
                attachShadow(init: ShadowRootInit): ShadowRoot;
                closest<K_2 extends keyof HTMLElementTagNameMap>(selector: K_2): HTMLElementTagNameMap[K_2];
                closest<K_3 extends keyof SVGElementTagNameMap>(selector: K_3): SVGElementTagNameMap[K_3];
                closest<E extends Element = Element>(selector: string): E;
                getAttribute(qualifiedName: string): string;
                getAttributeNS(namespace: string, localName: string): string;
                getAttributeNames(): string[];
                getAttributeNode(qualifiedName: string): Attr;
                getAttributeNodeNS(namespace: string, localName: string): Attr;
                getBoundingClientRect(): DOMRect;
                getClientRects(): DOMRectList;
                getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;
                getElementsByTagName<K_4 extends keyof HTMLElementTagNameMap>(qualifiedName: K_4): HTMLCollectionOf<HTMLElementTagNameMap[K_4]>;
                getElementsByTagName<K_5 extends keyof SVGElementTagNameMap>(qualifiedName: K_5): HTMLCollectionOf<SVGElementTagNameMap[K_5]>;
                getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;
                getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;
                getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>;
                hasAttribute(qualifiedName: string): boolean;
                hasAttributeNS(namespace: string, localName: string): boolean;
                hasAttributes(): boolean;
                hasPointerCapture(pointerId: number): boolean;
                insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element;
                insertAdjacentHTML(where: InsertPosition, html: string): void;
                insertAdjacentText(where: InsertPosition, text: string): void;
                matches(selectors: string): boolean;
                msGetRegionContent(): any;
                releasePointerCapture(pointerId: number): void;
                removeAttribute(qualifiedName: string): void;
                removeAttributeNS(namespace: string, localName: string): void;
                removeAttributeNode(attr: Attr): Attr;
                requestFullscreen(options?: FullscreenOptions): Promise<void>;
                requestPointerLock(): void;
                scroll(options?: ScrollToOptions): void;
                scroll(x: number, y: number): void;
                scrollBy(options?: ScrollToOptions): void;
                scrollBy(x: number, y: number): void;
                scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;
                scrollTo(options?: ScrollToOptions): void;
                scrollTo(x: number, y: number): void;
                setAttribute(qualifiedName: string, value: string): void;
                setAttributeNS(namespace: string, qualifiedName: string, value: string): void;
                setAttributeNode(attr: Attr): Attr;
                setAttributeNodeNS(attr: Attr): Attr;
                setPointerCapture(pointerId: number): void;
                toggleAttribute(qualifiedName: string, force?: boolean): boolean;
                webkitMatchesSelector(selectors: string): boolean;
                readonly baseURI: string;
                readonly childNodes: NodeListOf<ChildNode>;
                readonly firstChild: ChildNode;
                readonly isConnected: boolean;
                readonly lastChild: ChildNode;
                readonly nextSibling: ChildNode;
                readonly nodeName: string;
                readonly nodeType: number;
                nodeValue: string;
                readonly parentElement: HTMLElement;
                readonly parentNode: Node & ParentNode;
                readonly previousSibling: ChildNode;
                textContent: string;
                appendChild<T extends Node>(newChild: T): T;
                cloneNode(deep?: boolean): Node;
                compareDocumentPosition(other: Node): number;
                contains(other: Node): boolean;
                getRootNode(options?: GetRootNodeOptions): Node;
                hasChildNodes(): boolean;
                insertBefore<T_1 extends Node>(newChild: T_1, refChild: Node): T_1;
                isDefaultNamespace(namespace: string): boolean;
                isEqualNode(otherNode: Node): boolean;
                isSameNode(otherNode: Node): boolean;
                lookupNamespaceURI(prefix: string): string;
                lookupPrefix(namespace: string): string;
                normalize(): void;
                removeChild<T_2 extends Node>(oldChild: T_2): T_2;
                replaceChild<T_3 extends Node>(newChild: Node, oldChild: T_3): T_3;
                readonly ATTRIBUTE_NODE: number;
                readonly CDATA_SECTION_NODE: number;
                readonly COMMENT_NODE: number;
                readonly DOCUMENT_FRAGMENT_NODE: number;
                readonly DOCUMENT_NODE: number;
                readonly DOCUMENT_POSITION_CONTAINED_BY: number;
                readonly DOCUMENT_POSITION_CONTAINS: number;
                readonly DOCUMENT_POSITION_DISCONNECTED: number;
                readonly DOCUMENT_POSITION_FOLLOWING: number;
                readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number;
                readonly DOCUMENT_POSITION_PRECEDING: number;
                readonly DOCUMENT_TYPE_NODE: number;
                readonly ELEMENT_NODE: number;
                readonly ENTITY_NODE: number;
                readonly ENTITY_REFERENCE_NODE: number;
                readonly NOTATION_NODE: number;
                readonly PROCESSING_INSTRUCTION_NODE: number;
                readonly TEXT_NODE: number;
                dispatchEvent(event: Event): boolean;
                animate(keyframes: PropertyIndexedKeyframes | Keyframe[], options?: number | KeyframeAnimationOptions): Animation;
                getAnimations(): Animation[];
                after(...nodes: (string | Node)[]): void;
                before(...nodes: (string | Node)[]): void;
                remove(): void;
                replaceWith(...nodes: (string | Node)[]): void;
                innerHTML: string;
                readonly nextElementSibling: Element;
                readonly previousElementSibling: Element;
                readonly childElementCount: number;
                readonly children: HTMLCollection;
                readonly firstElementChild: Element;
                readonly lastElementChild: Element;
                append(...nodes: (string | Node)[]): void;
                prepend(...nodes: (string | Node)[]): void;
                querySelector<K_6 extends keyof HTMLElementTagNameMap>(selectors: K_6): HTMLElementTagNameMap[K_6];
                querySelector<K_7 extends keyof SVGElementTagNameMap>(selectors: K_7): SVGElementTagNameMap[K_7];
                querySelector<E_1 extends Element = Element>(selectors: string): E_1;
                querySelectorAll<K_8 extends keyof HTMLElementTagNameMap>(selectors: K_8): NodeListOf<HTMLElementTagNameMap[K_8]>;
                querySelectorAll<K_9 extends keyof SVGElementTagNameMap>(selectors: K_9): NodeListOf<SVGElementTagNameMap[K_9]>;
                querySelectorAll<E_2 extends Element = Element>(selectors: string): NodeListOf<E_2>;
                readonly assignedSlot: HTMLSlotElement;
                oncopy: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                oncut: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                onpaste: (this: DocumentAndElementEventHandlers, ev: ClipboardEvent) => any;
                readonly style: CSSStyleDeclaration;
                contentEditable: string;
                enterKeyHint: string;
                inputMode: string;
                readonly isContentEditable: boolean;
                onabort: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onanimationcancel: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationend: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationiteration: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onanimationstart: (this: GlobalEventHandlers, ev: AnimationEvent) => any;
                onauxclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onblur: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                oncancel: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplay: (this: GlobalEventHandlers, ev: Event) => any;
                oncanplaythrough: (this: GlobalEventHandlers, ev: Event) => any;
                onchange: (this: GlobalEventHandlers, ev: Event) => any;
                onclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onclose: (this: GlobalEventHandlers, ev: Event) => any;
                oncontextmenu: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                oncuechange: (this: GlobalEventHandlers, ev: Event) => any;
                ondblclick: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                ondrag: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragend: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragenter: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragexit: (this: GlobalEventHandlers, ev: Event) => any;
                ondragleave: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragover: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondragstart: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondrop: (this: GlobalEventHandlers, ev: DragEvent) => any;
                ondurationchange: (this: GlobalEventHandlers, ev: Event) => any;
                onemptied: (this: GlobalEventHandlers, ev: Event) => any;
                onended: (this: GlobalEventHandlers, ev: Event) => any;
                onerror: OnErrorEventHandlerNonNull;
                onfocus: (this: GlobalEventHandlers, ev: FocusEvent) => any;
                ongotpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                oninput: (this: GlobalEventHandlers, ev: Event) => any;
                oninvalid: (this: GlobalEventHandlers, ev: Event) => any;
                onkeydown: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeypress: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onkeyup: (this: GlobalEventHandlers, ev: KeyboardEvent) => any;
                onload: (this: GlobalEventHandlers, ev: Event) => any;
                onloadeddata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadedmetadata: (this: GlobalEventHandlers, ev: Event) => any;
                onloadstart: (this: GlobalEventHandlers, ev: Event) => any;
                onlostpointercapture: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onmousedown: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseenter: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseleave: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmousemove: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseout: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseover: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onmouseup: (this: GlobalEventHandlers, ev: MouseEvent) => any;
                onpause: (this: GlobalEventHandlers, ev: Event) => any;
                onplay: (this: GlobalEventHandlers, ev: Event) => any;
                onplaying: (this: GlobalEventHandlers, ev: Event) => any;
                onpointercancel: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerdown: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerenter: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerleave: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointermove: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerout: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerover: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onpointerup: (this: GlobalEventHandlers, ev: PointerEvent) => any;
                onprogress: (this: GlobalEventHandlers, ev: ProgressEvent<EventTarget>) => any;
                onratechange: (this: GlobalEventHandlers, ev: Event) => any;
                onreset: (this: GlobalEventHandlers, ev: Event) => any;
                onresize: (this: GlobalEventHandlers, ev: UIEvent) => any;
                onscroll: (this: GlobalEventHandlers, ev: Event) => any;
                onsecuritypolicyviolation: (this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any;
                onseeked: (this: GlobalEventHandlers, ev: Event) => any;
                onseeking: (this: GlobalEventHandlers, ev: Event) => any;
                onselect: (this: GlobalEventHandlers, ev: Event) => any;
                onselectionchange: (this: GlobalEventHandlers, ev: Event) => any;
                onselectstart: (this: GlobalEventHandlers, ev: Event) => any;
                onstalled: (this: GlobalEventHandlers, ev: Event) => any;
                onsubmit: (this: GlobalEventHandlers, ev: Event) => any;
                onsuspend: (this: GlobalEventHandlers, ev: Event) => any;
                ontimeupdate: (this: GlobalEventHandlers, ev: Event) => any;
                ontoggle: (this: GlobalEventHandlers, ev: Event) => any;
                ontouchcancel?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchend?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchmove?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontouchstart?: (this: GlobalEventHandlers, ev: TouchEvent) => any;
                ontransitioncancel: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionend: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionrun: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                ontransitionstart: (this: GlobalEventHandlers, ev: TransitionEvent) => any;
                onvolumechange: (this: GlobalEventHandlers, ev: Event) => any;
                onwaiting: (this: GlobalEventHandlers, ev: Event) => any;
                onwheel: (this: GlobalEventHandlers, ev: WheelEvent) => any;
                autofocus: boolean;
                readonly dataset: DOMStringMap;
                nonce?: string;
                tabIndex: number;
                blur(): void;
                focus(options?: FocusOptions): void;
            };
        } & {
            new (...args: any[]): {
                readonly share: {
                    modals: import("./modal/types/modal-system.js").ModalSystem;
                    permissionsModel: {
                        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
                        getState: () => {
                            active: boolean;
                            access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                            permissionsDisplay: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
                        };
                        initialize: () => Promise<void>;
                        getUserCanCustomizePermissions: () => boolean;
                        createRole: (args_0: {
                            label: string;
                        }) => Promise<void>;
                        deleteRole: (args_0: {
                            roleId: string;
                        }) => Promise<void>;
                        assignPrivilege: (args_0: {
                            roleId: string;
                            privilegeId: string;
                        }) => Promise<void>;
                        unassignPrivilege: (args_0: {
                            roleId: string;
                            privilegeId: string;
                        }) => Promise<void>;
                        accessChange(access: import("../../features/auth/types/auth-tokens.js").AccessPayload): Promise<void>;
                    };
                };
            };
        } & typeof import("../../features/auth/aspects/permissions/components/permissions/xiome-permissions.js").XiomePermissions;
        XioId: typeof import("../../features/xio-components/id/xio-id.js").XioId;
        XioOp: typeof import("../../features/xio-components/op/xio-op.js").XioOp;
        XioAvatar: typeof import("../../features/xio-components/avatar/xio-avatar.js").XioAvatar;
        XioButton: typeof import("../../features/xio-components/button/xio-button.js").XioButton;
        XioExample: typeof import("../../features/xio-components/example/xio-example.js").XioExample;
        XioCheckbox: typeof import("../../features/xio-components/checkbox/xio-checkbox.js").XioCheckbox;
        XioTextInput: typeof import("../../features/xio-components/inputs/xio-text-input.js").XioTextInput;
        XioProfileCard: typeof import("../../features/xio-components/profile-card/xio-profile-card.js").XioProfileCard;
    };
    models: {
        appsModel: {
            readonly state: {
                active: boolean;
                appRecords: import("../../framework/ops.js").Op<import("../../features/auth/aspects/apps/models/types/app-records.js").AppRecords>;
                addingNewApp: import("../../framework/ops.js").Op<null>;
            };
            appEditService: Remote<import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
                updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                    appId: string;
                    appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
                }): Promise<void>;
                deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                    appId: string;
                }): Promise<void>;
                listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                    appId: string;
                }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
                assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                    appId: string;
                    platformUserId: string;
                }): Promise<void>;
                assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                    appId: string;
                    email: string;
                }): Promise<void>;
                revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                    appId: string;
                    userId: string;
                }): Promise<void>;
            }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>>;
            getApp(appId: string): import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay;
            onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
            loadApps: () => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
            deleteApp: (appId: string) => Promise<void>;
            updateApp: (appId: string, appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<void>;
            registerApp: (appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
            accessChange(): Promise<void>;
        };
        accessModel: {
            track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
            readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
            onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
            getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
            useExistingLogin(): Promise<void>;
            sendLoginLink(email: string): Promise<void>;
            login(loginToken: string): Promise<void>;
            logout(): Promise<void>;
            reauthorize(): Promise<void>;
        };
        personalModel: {
            readonly submitDraftOp: import("../../framework/ops.js").Op<void>;
            saveProfile(profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft): Promise<void>;
        };
        questionsModel: {
            onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
            makeBoardModel: (board: string) => {
                getPermissions(): {
                    readonly "read questions": boolean;
                    readonly "post questions": boolean;
                    readonly "moderate questions": boolean;
                    readonly "answer questions": boolean;
                    readonly "like questions": boolean;
                    readonly "report questions": boolean;
                };
                getBoardName(): string;
                getAccess(): import("../../features/auth/types/auth-tokens.js").AccessPayload;
                getBoardOp(): import("../../framework/ops.js").Op<void>;
                getPostingOp(): import("../../framework/ops.js").Op<void>;
                getQuestions(): {
                    answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                    questionId: string;
                    authorUserId: string;
                    board: string;
                    content: string;
                    archive: boolean;
                    timePosted: number;
                    liked: boolean;
                    likes: number;
                    reports: number;
                    reported: boolean;
                }[];
                getUser(userId: string): import("../../features/auth/aspects/users/types/user.js").User;
                loadQuestions(): Promise<void>;
                postQuestion(questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft): Promise<void>;
                postAnswer(questionId: string, answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft): Promise<void>;
                likeQuestion(questionId: string, like: boolean): Promise<void>;
                likeAnswer(questionId: string, answerId: string, like: boolean): Promise<void>;
                reportQuestion(questionId: string, report: boolean): Promise<void>;
                reportAnswer(questionId: string, answerId: string, report: boolean): Promise<void>;
                archiveQuestion(questionId: string, archive: boolean): Promise<void>;
                archiveAnswer(questionId: string, answerId: string, archive: boolean): Promise<void>;
                archiveBoard(): Promise<void>;
            };
            accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
        };
        permissionsModel: {
            onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
            getState: () => {
                active: boolean;
                access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                permissionsDisplay: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
            };
            initialize: () => Promise<void>;
            getUserCanCustomizePermissions: () => boolean;
            createRole: (args_0: {
                label: string;
            }) => Promise<void>;
            deleteRole: (args_0: {
                roleId: string;
            }) => Promise<void>;
            assignPrivilege: (args_0: {
                roleId: string;
                privilegeId: string;
            }) => Promise<void>;
            unassignPrivilege: (args_0: {
                roleId: string;
                privilegeId: string;
            }) => Promise<void>;
            accessChange(access: import("../../features/auth/types/auth-tokens.js").AccessPayload): Promise<void>;
        };
        administrativeModel: {
            getState: () => {
                access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
                permissionsOp: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
            };
            onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
            initialize: () => Promise<void>;
            readonly isAllowed: (privilege: "read questions" | "post questions" | "like questions" | "report questions" | "edit any profile" | "customize permissions" | "answer questions" | "moderate questions" | "view stats" | "administrate user roles" | "banned" | "manage store" | "give away freebies") => boolean;
            accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
            reauthorize: () => Promise<void>;
            searchUsers: (args_0: {
                term: string;
            }) => Promise<{
                user: {
                    userId: string;
                    profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                    roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                    stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
                };
                roleIds: string[];
            }[]>;
            assignRoleToUser: (args_0: {
                roleId: string;
                userId: string;
                isPublic: boolean;
                timeframeEnd: number;
                timeframeStart: number;
            }) => Promise<void>;
            revokeRoleFromUser: (args_0: {
                roleId: string;
                userId: string;
            }) => Promise<void>;
        };
    };
    modals: import("./modal/types/modal-system.js").ModalSystem;
    modalsElement: HTMLDivElement;
}>;
