import { AssembleModelsOptions } from "./types/assemble-models-options.js";
export declare function assembleModels({ appId, remote, popups, storage, authMediator, }: AssembleModelsOptions): Promise<{
    appsModel: {
        readonly state: {
            active: boolean;
            appRecords: import("../../framework/ops.js").Op<import("../../features/auth/aspects/apps/models/types/app-records.js").AppRecords>;
            addingNewApp: import("../../framework/ops.js").Op<null>;
        };
        appEditService: import("renraku/x/types/remote/remote").Remote<import("renraku/x/types/api/api-context").ApiContext<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, {
            updateApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                appId: string;
                appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft;
            }): Promise<void>;
            deleteApp({ appTables, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                appId: string;
            }): Promise<void>;
            listAdmins({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                appId: string;
            }): Promise<import("../../features/auth/aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
            assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                appId: string;
                platformUserId: string;
            }): Promise<void>;
            assignAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                appId: string;
                email: string;
            }): Promise<void>;
            revokeAdmin({ authorizeAppOwner }: import("../../features/auth/types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                appId: string;
                userId: string;
            }): Promise<void>;
        }, import("renraku/x/types/primitives/policy").Policy<import("../../features/auth/types/auth-metas.js").AppOwnerMeta, import("../../features/auth/types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>>;
        getApp(appId: string): import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay;
        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
        loadApps: () => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay[]>;
        deleteApp: (appId: string) => Promise<void>;
        updateApp: (appId: string, appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<void>;
        registerApp: (appDraft: import("../../features/auth/aspects/apps/types/app-draft.js").AppDraft) => Promise<import("../../features/auth/aspects/apps/types/app-display.js").AppDisplay>;
        accessChange(): Promise<void>;
    };
    accessModel: {
        track: <X>(stakeout: import("../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
        readonly access: import("../../framework/ops.js").Op<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
        onAccessChange: import("../../toolbox/pubsub.js").Subscribe<import("../../features/auth/mediator/types/access-event-listener.js").AccessEventListener>;
        getValidAccess(): Promise<import("../../features/auth/types/auth-tokens.js").AccessPayload>;
        useExistingLogin(): Promise<void>;
        sendLoginLink(email: string): Promise<void>;
        login(loginToken: string): Promise<void>;
        logout(): Promise<void>;
        reauthorize(): Promise<void>;
    };
    personalModel: {
        readonly submitDraftOp: import("../../framework/ops.js").Op<void>;
        saveProfile(profileDraft: import("../../features/auth/aspects/users/routines/personal/types/profile-draft.js").ProfileDraft): Promise<void>;
    };
    questionsModel: {
        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
        makeBoardModel: (board: string) => {
            getPermissions(): {
                readonly "read questions": boolean;
                readonly "post questions": boolean;
                readonly "moderate questions": boolean;
                readonly "answer questions": boolean;
                readonly "like questions": boolean;
                readonly "report questions": boolean;
            };
            getBoardName(): string;
            getAccess(): import("../../features/auth/types/auth-tokens.js").AccessPayload;
            getBoardOp(): import("../../framework/ops.js").Op<void>;
            getPostingOp(): import("../../framework/ops.js").Op<void>;
            getQuestions(): {
                answers: import("../../features/questions/api/types/questions-and-answers.js").Answer[];
                questionId: string;
                authorUserId: string;
                board: string;
                content: string;
                archive: boolean;
                timePosted: number;
                liked: boolean;
                likes: number;
                reports: number;
                reported: boolean;
            }[];
            getUser(userId: string): import("../../features/auth/aspects/users/types/user.js").User;
            loadQuestions(): Promise<void>;
            postQuestion(questionDraft: import("../../features/questions/api/types/question-draft.js").QuestionDraft): Promise<void>;
            postAnswer(questionId: string, answerDraft: import("../../features/questions/api/types/answer-draft.js").AnswerDraft): Promise<void>;
            likeQuestion(questionId: string, like: boolean): Promise<void>;
            likeAnswer(questionId: string, answerId: string, like: boolean): Promise<void>;
            reportQuestion(questionId: string, report: boolean): Promise<void>;
            reportAnswer(questionId: string, answerId: string, report: boolean): Promise<void>;
            archiveQuestion(questionId: string, archive: boolean): Promise<void>;
            archiveAnswer(questionId: string, answerId: string, archive: boolean): Promise<void>;
            archiveBoard(): Promise<void>;
        };
        accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
    };
    permissionsModel: {
        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
        getState: () => {
            active: boolean;
            access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
            permissionsDisplay: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
        };
        initialize: () => Promise<void>;
        getUserCanCustomizePermissions: () => boolean;
        createRole: (args_0: {
            label: string;
        }) => Promise<void>;
        deleteRole: (args_0: {
            roleId: string;
        }) => Promise<void>;
        assignPrivilege: (args_0: {
            roleId: string;
            privilegeId: string;
        }) => Promise<void>;
        unassignPrivilege: (args_0: {
            roleId: string;
            privilegeId: string;
        }) => Promise<void>;
        accessChange(access: import("../../features/auth/types/auth-tokens.js").AccessPayload): Promise<void>;
    };
    administrativeModel: {
        getState: () => {
            access: import("../../features/auth/types/auth-tokens.js").AccessPayload;
            permissionsOp: import("../../framework/ops.js").Op<import("../../features/auth/aspects/users/routines/permissions/types/permissions-display.js").PermissionsDisplay>;
        };
        onStateChange: import("../../toolbox/pubsub.js").Subscribe<import("../../toolbox/pubsub.js").AnyListener>;
        initialize: () => Promise<void>;
        readonly isAllowed: (privilege: "read questions" | "post questions" | "like questions" | "report questions" | "edit any profile" | "customize permissions" | "answer questions" | "moderate questions" | "view stats" | "administrate user roles" | "banned" | "manage store" | "give away freebies") => boolean;
        accessChange: (access: import("../../features/auth/types/auth-tokens.js").AccessPayload) => void;
        reauthorize: () => Promise<void>;
        searchUsers: (args_0: {
            term: string;
        }) => Promise<{
            user: {
                userId: string;
                profile: import("../../features/auth/aspects/users/types/profile.js").Profile;
                roles: import("../../features/auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                stats: import("../../features/auth/aspects/users/types/user-stats.js").UserStats;
            };
            roleIds: string[];
        }[]>;
        assignRoleToUser: (args_0: {
            roleId: string;
            userId: string;
            isPublic: boolean;
            timeframeEnd: number;
            timeframeStart: number;
        }) => Promise<void>;
        revokeRoleFromUser: (args_0: {
            roleId: string;
            userId: string;
        }) => Promise<void>;
    };
}>;
