import { makeRemote } from "../make-remote.js";
import { systemPopups } from "./system-popups/system-popups.js";
import { simpleFlexStorage } from "../../../toolbox/flex-storage/simple-flex-storage.js";
import { wireMediatorBroadcastChannel } from "./mock/common/wire-mediator-broadcast-channel.js";
export async function connect({ appId, apiOrigin = "https://api.xiome.io", platformOrigin = "https://xiome.io" }) {
    const storage = simpleFlexStorage(window.localStorage);
    const { remote, authMediator } = makeRemote({
        appId,
        storage,
        apiLink: `${apiOrigin}/`,
    });
    wireMediatorBroadcastChannel(authMediator);
    const popups = systemPopups({ popupsBase: `${platformOrigin}/popups` });
    return { appId, remote, storage, authMediator, popups };
}
//# sourceMappingURL=connect.js.map