import { generateRemote } from "renraku/x/remote/generate-remote.js";
import { makeJsonRequester } from "renraku/x/remote/make-json-requester.js";
import { prepareApiShape } from "./auth/prepare-api-shape.js";
export function makeRemote({ appId, apiLink, storage, }) {
    const { shape, installAuthMediator } = prepareApiShape({
        appId,
        storage,
    });
    const remote = generateRemote({
        link: apiLink,
        shape: shape,
        requester: makeJsonRequester({
            fetch: window.fetch,
            headers: {},
        }),
    });
    const authMediator = installAuthMediator({
        greenService: remote.auth.users.greenService,
    });
    return { remote, authMediator };
}
//# sourceMappingURL=make-remote.js.map