import { nap } from "../../../toolbox/nap.js";
import { hitchie } from "../../../toolbox/hitchie.js";
export function applyMockHacks({ connection, frontend }) {
    const { loginService } = connection.remote.auth.users;
    loginService.sendLoginLink = hitchie(loginService.sendLoginLink, async (func, ...args) => {
        await func(...args);
        const details = connection.backend.emails.recallLatestLoginEmail();
        console.log("mock: logging in...");
        await nap(1000);
        await frontend.models.accessModel.login(details.loginToken);
        console.log(`mock: logged in as ${details.to}`);
    });
    connection.popups.triggerBankPopup = hitchie(connection.popups.triggerBankPopup, async (...args) => {
        console.log("mock: bank popup", args);
    });
}
//# sourceMappingURL=apply-mock-hacks.js.map