import { mockRemote } from "./mock-remote.js";
import { assembleModels } from "../assemble-models.js";
import { mockModalSystem } from "../modal/mock-modal-system.js";
import { mockPopups } from "../connect/mock/common/mock-popups.js";
import { memoryFlexStorage } from "../../../toolbox/flex-storage/memory-flex-storage.js";
export async function mockBrowser({ api, mockStripeOperations }) {
    async function mockAppWindow({ appId, apiLink, windowLink, }) {
        const storage = memoryFlexStorage();
        const { remote, authMediator } = mockRemote({
            api,
            appId,
            apiLink,
            storage,
            origin: new URL(windowLink).origin,
        });
        const { nextModalResults } = mockModalSystem();
        const models = await assembleModels({
            appId,
            remote,
            storage,
            authMediator,
            popups: mockPopups({ mockStripeOperations }),
        });
        return { models, remote, nextModalResults };
    }
    return { mockAppWindow };
}
//# sourceMappingURL=mock-browser.js.map