import { AdministrativeOptions } from "./types/administrative-options.js";
export declare function makeAdministrativeApi(options: AdministrativeOptions): {
    roleAssignmentService: import("renraku/x/types/api/api-context").ApiContext<import("../../auth/types/auth-metas.js").UserMeta, import("../../auth/types/auth-metas.js").UserAuth, {
        fetchPermissions({ access, authTables }: import("../../auth/types/auth-metas.js").UserAuth): Promise<import("../../../toolbox/concurrent.js").AwaitProps<{
            roles: Promise<{
                roleId: string;
                assignable: boolean;
                label: string;
                hard: boolean;
                public: boolean;
            }[]>;
            privileges: Promise<{
                hard: boolean;
                label: string;
                privilegeId: string;
            }[]>;
            rolesHavePrivileges: Promise<{
                active: boolean;
                immutable: boolean;
                roleId: string;
                privilegeId: string;
            }[]>;
        }>>;
        searchUsers({ access, authTables }: import("../../auth/types/auth-metas.js").UserAuth, options: {
            term: string;
        }): Promise<{
            user: {
                userId: string;
                profile: import("../../auth/aspects/users/types/profile.js").Profile;
                roles: import("../../auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                stats: import("../../auth/aspects/users/types/user-stats.js").UserStats;
            };
            roleIds: string[];
        }[]>;
        assignRoleToUser({ authTables }: import("../../auth/types/auth-metas.js").UserAuth, options: {
            roleId: string;
            userId: string;
            isPublic: boolean;
            timeframeEnd: number;
            timeframeStart: number;
        }): Promise<void>;
        revokeRoleFromUser({ authTables }: import("../../auth/types/auth-metas.js").UserAuth, options: {
            roleId: string;
            userId: string;
        }): Promise<void>;
    }, (meta: import("../../auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../auth/types/auth-metas.js").UserAuth>>;
};
