import { UserAuth, UserMeta } from "../../../auth/types/auth-metas.js";
import { AdministrativeOptions } from "../types/administrative-options.js";
export declare const makeRoleAssignmentService: ({ config, authPolicies, }: AdministrativeOptions) => import("renraku/x/types/api/api-context").ApiContext<UserMeta, UserAuth, {
    fetchPermissions({ access, authTables }: UserAuth): Promise<import("../../../../toolbox/concurrent.js").AwaitProps<{
        roles: Promise<{
            roleId: string;
            assignable: boolean;
            label: string;
            hard: boolean;
            public: boolean;
        }[]>;
        privileges: Promise<{
            hard: boolean;
            label: string;
            privilegeId: string;
        }[]>;
        rolesHavePrivileges: Promise<{
            active: boolean;
            immutable: boolean;
            roleId: string;
            privilegeId: string;
        }[]>;
    }>>;
    searchUsers({ access, authTables }: UserAuth, options: {
        term: string;
    }): Promise<{
        user: {
            userId: string;
            profile: import("../../../auth/aspects/users/types/profile.js").Profile;
            roles: import("../../../auth/aspects/users/types/public-user-role.js").PublicUserRole[];
            stats: import("../../../auth/aspects/users/types/user-stats.js").UserStats;
        };
        roleIds: string[];
    }[]>;
    assignRoleToUser({ authTables }: UserAuth, options: {
        roleId: string;
        userId: string;
        isPublic: boolean;
        timeframeEnd: undefined | number;
        timeframeStart: undefined | number;
    }): Promise<void>;
    revokeRoleFromUser({ authTables }: UserAuth, options: {
        roleId: string;
        userId: string;
    }): Promise<void>;
}, (meta: UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<UserAuth>>;
