import { Op } from "../../../framework/ops.js";
import { Service } from "../../../types/service.js";
import { AccessPayload } from "../../auth/types/auth-tokens.js";
import { makeRoleAssignmentService } from "../api/services/role-assignment-service.js";
import { PermissionsDisplay } from "../../auth/aspects/users/routines/permissions/types/permissions-display.js";
export declare function makeAdministrativeModel({ roleAssignmentService, reauthorize, }: {
    roleAssignmentService: Service<typeof makeRoleAssignmentService>;
    reauthorize: () => Promise<void>;
}): {
    getState: () => {
        access: AccessPayload;
        permissionsOp: Op<PermissionsDisplay>;
    };
    onStateChange: import("../../../toolbox/pubsub.js").Subscribe<import("../../../toolbox/pubsub.js").AnyListener>;
    initialize: () => Promise<void>;
    readonly isAllowed: (privilege: "read questions" | "post questions" | "like questions" | "report questions" | "edit any profile" | "customize permissions" | "answer questions" | "moderate questions" | "view stats" | "administrate user roles" | "banned" | "manage store" | "give away freebies") => boolean;
    accessChange: (access: AccessPayload) => void;
    reauthorize: () => Promise<void>;
    searchUsers: (args_0: {
        term: string;
    }) => Promise<{
        user: {
            userId: string;
            profile: import("../../auth/aspects/users/types/profile.js").Profile;
            roles: import("../../auth/aspects/users/types/public-user-role.js").PublicUserRole[];
            stats: import("../../auth/aspects/users/types/user-stats.js").UserStats;
        };
        roleIds: string[];
    }[]>;
    assignRoleToUser: (args_0: {
        roleId: string;
        userId: string;
        isPublic: boolean;
        timeframeEnd: number;
        timeframeStart: number;
    }) => Promise<void>;
    revokeRoleFromUser: (args_0: {
        roleId: string;
        userId: string;
    }) => Promise<void>;
};
