import { AppDraft } from "../types/app-draft.js";
import { AppRecords } from "./types/app-records.js";
import { AppDisplay } from "../types/app-display.js";
import { Op } from "../../../../../framework/ops.js";
import { AppModelOptions } from "./types/apps-model-options.js";
export declare function makeAppsModel({ appService, appEditService, getAccess, }: AppModelOptions): {
    readonly state: {
        active: boolean;
        appRecords: Op<AppRecords>;
        addingNewApp: Op<null>;
    };
    appEditService: import("renraku/x/types/remote/remote").Remote<import("renraku/x/types/api/api-context").ApiContext<import("../../../types/auth-metas.js").AppOwnerMeta, import("../../../types/auth-metas.js").AppOwnerAuth, {
        updateApp({ appTables, authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
            appId: string;
            appDraft: AppDraft;
        }): Promise<void>;
        deleteApp({ appTables, authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
            appId: string;
        }): Promise<void>;
        listAdmins({ authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
            appId: string;
        }): Promise<import("../types/admin-email-display.js").AdminEmailDisplay[]>;
        assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
            appId: string;
            platformUserId: string;
        }): Promise<void>;
        assignAdmin({ authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
            appId: string;
            email: string;
        }): Promise<void>;
        revokeAdmin({ authorizeAppOwner }: import("../../../types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
            appId: string;
            userId: string;
        }): Promise<void>;
    }, import("renraku/x/types/primitives/policy").Policy<import("../../../types/auth-metas.js").AppOwnerMeta, import("../../../types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>>;
    getApp(appId: string): AppDisplay;
    onStateChange: import("../../../../../toolbox/pubsub.js").Subscribe<import("../../../../../toolbox/pubsub.js").AnyListener>;
    loadApps: () => Promise<AppDisplay[]>;
    deleteApp: (appId: string) => Promise<void>;
    updateApp: (appId: string, appDraft: AppDraft) => Promise<void>;
    registerApp: (appDraft: AppDraft) => Promise<AppDisplay>;
    accessChange(): Promise<void>;
};
