import { AuthOptions } from "../../../types/auth-options.js";
import { UserAuth, UserMeta } from "../../../types/auth-metas.js";
export declare const makePermissionsService: ({ rando, config, authPolicies, }: AuthOptions) => import("renraku/x/types/api/api-context").ApiContext<UserMeta, UserAuth, {
    fetchPermissions({ access, authTables }: UserAuth): Promise<import("../../../../../toolbox/concurrent.js").AwaitProps<{
        roles: Promise<{
            roleId: string;
            assignable: boolean;
            label: string;
            hard: boolean;
            public: boolean;
        }[]>;
        privileges: Promise<{
            hard: boolean;
            label: string;
            privilegeId: string;
        }[]>;
        rolesHavePrivileges: Promise<{
            active: boolean;
            immutable: boolean;
            roleId: string;
            privilegeId: string;
        }[]>;
    }>>;
    createRole({ authTables }: UserAuth, { label }: {
        label: string;
    }): Promise<void>;
    deleteRole({ authTables }: UserAuth, { roleId: roleIdString }: {
        roleId: string;
    }): Promise<void>;
    assignPrivilege({ authTables }: UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
        roleId: string;
        privilegeId: string;
    }): Promise<void>;
    unassignPrivilege({ authTables }: UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
        roleId: string;
        privilegeId: string;
    }): Promise<void>;
}, (meta: UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<UserAuth>>;
