import { Op } from "../../../../../framework/ops.js";
import { AccessPayload } from "../../../types/auth-tokens.js";
import { AccessModelOptions } from "./types/access-model-options.js";
export declare function makeAccessModel({ authMediator, loginService }: AccessModelOptions): {
    track: <X>(stakeout: import("../../../../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
    readonly access: Op<AccessPayload>;
    onAccessChange: import("../../../../../toolbox/pubsub.js").Subscribe<import("../../../mediator/types/access-event-listener.js").AccessEventListener>;
    getValidAccess(): Promise<AccessPayload>;
    useExistingLogin(): Promise<void>;
    sendLoginLink(email: string): Promise<void>;
    login(loginToken: string): Promise<void>;
    logout(): Promise<void>;
    reauthorize(): Promise<void>;
};
