import { apiContext } from "renraku/x/api/api-context.js";
import { fetchUser } from "../routines/user/fetch-user.js";
import { DamnId } from "../../../../../toolbox/damnedb/damn-id.js";
import { makePermissionsEngine } from "../../../../../assembly/backend/permissions/permissions-engine.js";
export const makeUserService = (options) => apiContext()({
    policy: options.authPolicies.anonPolicy,
    expose: {
        async getUser({ authTables, access }, { userId }) {
            const permissionsEngine = makePermissionsEngine({
                permissionsTables: authTables.permissions,
                isPlatform: access.appId === options.config.platform.appDetails.appId,
            });
            return await fetchUser({
                authTables,
                permissionsEngine,
                userId: DamnId.fromString(userId),
            });
        },
    },
});
//# sourceMappingURL=user-service.js.map