import { DamnId } from "../../../../../toolbox/damnedb/damn-id.js";
import { AsDbbyRow, DbbyTable } from "../../../../../toolbox/dbby/dbby-types.js";
export declare type UserTables = {
    accounts: DbbyTable<AccountRow>;
    profiles: DbbyTable<ProfileRow>;
    emails: DbbyTable<EmailRow>;
    latestLogins: DbbyTable<LatestLoginRow>;
};
export declare type AccountRow = AsDbbyRow<{
    userId: DamnId;
    created: number;
}>;
export declare type ProfileRow = AsDbbyRow<{
    userId: DamnId;
    nickname: string;
    tagline: string;
    avatar: undefined | string;
}>;
export declare type EmailRow = AsDbbyRow<{
    userId: DamnId;
    email: string;
}>;
export declare type LatestLoginRow = AsDbbyRow<{
    userId: DamnId;
    time: number;
}>;
