import { AuthOptions } from "./types/auth-options.js";
export declare function authApi(options: AuthOptions): {
    apps: {
        appService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").PlatformUserMeta, import("./types/auth-metas.js").PlatformUserAuth, {
            listApps({ appTables, statsHub }: import("./types/auth-metas.js").PlatformUserAuth, { ownerUserId: ownerUserIdString }: {
                ownerUserId: string;
            }): Promise<import("./aspects/apps/types/app-display.js").AppDisplay[]>;
            registerApp({ appTables }: import("./types/auth-metas.js").PlatformUserAuth, { appDraft, ownerUserId: ownerUserIdString }: {
                appDraft: import("./aspects/apps/types/app-draft.js").AppDraft;
                ownerUserId: string;
            }): Promise<import("./aspects/apps/types/app-display.js").AppDisplay>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./types/auth-metas.js").PlatformUserMeta, import("./types/auth-metas.js").PlatformUserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
        appEditService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").AppOwnerMeta, import("./types/auth-metas.js").AppOwnerAuth, {
            updateApp({ appTables, authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString, appDraft }: {
                appId: string;
                appDraft: import("./aspects/apps/types/app-draft.js").AppDraft;
            }): Promise<void>;
            deleteApp({ appTables, authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                appId: string;
            }): Promise<void>;
            listAdmins({ authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString }: {
                appId: string;
            }): Promise<import("./aspects/apps/types/admin-email-display.js").AdminEmailDisplay[]>;
            assignPlatformUserAsAdmin({ authTablesForPlatform, authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString, platformUserId: platformUserIdString }: {
                appId: string;
                platformUserId: string;
            }): Promise<void>;
            assignAdmin({ authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString, email }: {
                appId: string;
                email: string;
            }): Promise<void>;
            revokeAdmin({ authorizeAppOwner }: import("./types/auth-metas.js").AppOwnerAuth, { appId: appIdString, userId: userIdString }: {
                appId: string;
                userId: string;
            }): Promise<void>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./types/auth-metas.js").AppOwnerMeta, import("./types/auth-metas.js").AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    };
    users: {
        greenService: import("renraku/x/types/api/api-context").ApiContext<undefined, import("./types/auth-metas.js").GreenAuth, {
            authorize({ appTables, authTables: unconstrainedAuthTables }: import("./types/auth-metas.js").GreenAuth, { scope, refreshToken, appId: appIdString, }: {
                scope: import("./types/auth-tokens.js").CoreScope;
                appId: string;
                refreshToken?: string;
            }): Promise<string>;
        }, import("renraku/x/types/primitives/policy").Policy<undefined, import("./types/auth-metas.js").GreenAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
        loginService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").AnonMeta, import("./types/auth-metas.js").LoginAuth, {
            sendLoginLink({ access, authTables, appTables }: import("./types/auth-metas.js").LoginAuth, inputs: {
                email: string;
            }): Promise<void>;
            authenticateViaLoginToken({ access, authTables }: import("./types/auth-metas.js").LoginAuth, { loginToken }: {
                loginToken: string;
            }): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                accessToken: Promise<string>;
                refreshToken: Promise<string>;
            }>>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./types/auth-metas.js").AnonMeta, import("./types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
        userService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").AnonMeta, import("./types/auth-metas.js").AnonAuth, {
            getUser({ authTables, access }: import("./types/auth-metas.js").AnonAuth, { userId }: {
                userId: string;
            }): Promise<{
                userId: string;
                profile: import("./aspects/users/types/profile.js").Profile;
                roles: import("./aspects/users/types/public-user-role.js").PublicUserRole[];
                stats: import("./aspects/users/types/user-stats.js").UserStats;
            }>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./types/auth-metas.js").AnonMeta, import("./types/auth-metas.js").LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
        personalService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").AnonMeta, import("./types/auth-metas.js").AnonAuth, {
            setProfile({ access, authTables, checker }: import("./types/auth-metas.js").AnonAuth, { userId: userIdString, profileDraft }: {
                userId: string;
                profileDraft: import("./aspects/users/routines/personal/types/profile-draft.js").ProfileDraft;
            }): Promise<void>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./types/auth-metas.js").UserMeta, import("./types/auth-metas.js").UserAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    };
    permissions: {
        permissionsService: import("renraku/x/types/api/api-context").ApiContext<import("./types/auth-metas.js").UserMeta, import("./types/auth-metas.js").UserAuth, {
            fetchPermissions({ access, authTables }: import("./types/auth-metas.js").UserAuth): Promise<import("../../toolbox/concurrent.js").AwaitProps<{
                roles: Promise<{
                    roleId: string;
                    assignable: boolean;
                    label: string;
                    hard: boolean;
                    public: boolean;
                }[]>;
                privileges: Promise<{
                    hard: boolean;
                    label: string;
                    privilegeId: string;
                }[]>;
                rolesHavePrivileges: Promise<{
                    active: boolean;
                    immutable: boolean;
                    roleId: string;
                    privilegeId: string;
                }[]>;
            }>>;
            createRole({ authTables }: import("./types/auth-metas.js").UserAuth, { label }: {
                label: string;
            }): Promise<void>;
            deleteRole({ authTables }: import("./types/auth-metas.js").UserAuth, { roleId: roleIdString }: {
                roleId: string;
            }): Promise<void>;
            assignPrivilege({ authTables }: import("./types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                roleId: string;
                privilegeId: string;
            }): Promise<void>;
            unassignPrivilege({ authTables }: import("./types/auth-metas.js").UserAuth, { roleId: roleIdString, privilegeId: privilegeIdString }: {
                roleId: string;
                privilegeId: string;
            }): Promise<void>;
        }, (meta: import("./types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("./types/auth-metas.js").UserAuth>>;
    };
};
