import { VerifyToken } from "redcrypto/x/types.js";
import { Policy } from "renraku/x/types/primitives/policy.js";
import { AuthTables } from "../types/auth-tables.js";
import { AppTables } from "../aspects/apps/types/app-tables.js";
import { SecretConfig } from "../../../assembly/backend/types/secret-config.js";
import { UnconstrainedTables } from "../../../framework/api/types/table-namespacing-for-apps.js";
import { AnonMeta, AppOwnerAuth, AppOwnerMeta, GreenAuth, LoginAuth, PlatformUserAuth, PlatformUserMeta, UserAuth, UserMeta } from "../types/auth-metas.js";
export declare function prepareAuthPolicies({ config, appTables, authTables, verifyToken, }: {
    config: SecretConfig;
    appTables: AppTables;
    authTables: UnconstrainedTables<AuthTables>;
    verifyToken: VerifyToken;
}): {
    greenPolicy: Policy<undefined, GreenAuth, import("renraku/x/types/http/http-request").HttpRequest>;
    anonPolicy: Policy<AnonMeta, LoginAuth, import("renraku/x/types/http/http-request").HttpRequest>;
    userPolicy: Policy<UserMeta, UserAuth, import("renraku/x/types/http/http-request").HttpRequest>;
    platformUserPolicy: Policy<PlatformUserMeta, PlatformUserAuth, import("renraku/x/types/http/http-request").HttpRequest>;
    appOwnerPolicy: Policy<AppOwnerMeta, AppOwnerAuth, import("renraku/x/types/http/http-request").HttpRequest>;
};
