import { QuestionsApiOptions } from "./types/questions-api-options.js";
export declare function questionsApi(options: QuestionsApiOptions): {
    questionsReadingService: import("renraku/x/types/api/api-context").ApiContext<import("../../auth/types/auth-metas.js").AnonMeta, import("./types/questions-metas-and-auths.js").QuestionsAnonAuth, {
        fetchQuestions({ access, authTables, questionsTables }: import("./types/questions-metas-and-auths.js").QuestionsAnonAuth, { board }: {
            board: string;
        }): Promise<{
            users: {
                userId: string;
                profile: import("../../auth/aspects/users/types/profile.js").Profile;
                roles: import("../../auth/aspects/users/types/public-user-role.js").PublicUserRole[];
                stats: import("../../auth/aspects/users/types/user-stats.js").UserStats;
            }[];
            questions: {
                answers: import("./types/questions-and-answers.js").Answer[];
                questionId: string;
                authorUserId: string;
                board: string;
                content: string;
                archive: boolean;
                timePosted: number;
                liked: boolean;
                likes: number;
                reports: number;
                reported: boolean;
            }[];
        }>;
    }, (meta: import("../../auth/types/auth-metas.js").AnonMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../auth/types/auth-metas.js").LoginAuth & {
        questionsTables: import("../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
            "namespace-appId": import("../../../toolbox/damnedb/damn-id.js").DamnId;
        }, import("./tables/types/questions-tables.js").QuestionsTables>;
    }>>;
    questionsPostingService: import("renraku/x/types/api/api-context").ApiContext<import("../../auth/types/auth-metas.js").UserMeta, import("./types/questions-metas-and-auths.js").QuestionsUserAuth, {
        postQuestion({ access, questionsTables }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            questionDraft: import("./types/question-draft.js").QuestionDraft;
        }): Promise<import("./types/questions-and-answers.js").Question>;
        archiveQuestion({ access: { user: { userId } }, questionsTables, checker }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            archive: boolean;
            questionId: string;
        }): Promise<void>;
        likeQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            like: boolean;
            questionId: string;
        }): Promise<void>;
        reportQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            report: boolean;
            questionId: string;
        }): Promise<void>;
    }, (meta: import("../../auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../auth/types/auth-metas.js").UserAuth & {
        questionsTables: import("../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
            "namespace-appId": import("../../../toolbox/damnedb/damn-id.js").DamnId;
        }, import("./tables/types/questions-tables.js").QuestionsTables>;
    }>>;
    questionsAnsweringService: import("renraku/x/types/api/api-context").ApiContext<import("../../auth/types/auth-metas.js").UserMeta, import("./types/questions-metas-and-auths.js").QuestionsUserAuth, {
        postAnswer({ access, questionsTables }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            questionId: string;
            answerDraft: import("./types/answer-draft.js").AnswerDraft;
        }): Promise<import("./types/questions-and-answers.js").Answer>;
        archiveAnswer({ access: { user: { userId } }, checker, questionsTables }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            archive: boolean;
            answerId: string;
        }): Promise<void>;
        likeAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            like: boolean;
            answerId: string;
        }): Promise<void>;
        reportAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, inputs: {
            report: boolean;
            answerId: string;
        }): Promise<void>;
    }, (meta: import("../../auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../auth/types/auth-metas.js").UserAuth & {
        questionsTables: import("../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
            "namespace-appId": import("../../../toolbox/damnedb/damn-id.js").DamnId;
        }, import("./tables/types/questions-tables.js").QuestionsTables>;
    }>>;
    questionsModerationService: import("renraku/x/types/api/api-context").ApiContext<import("../../auth/types/auth-metas.js").UserMeta, import("./types/questions-metas-and-auths.js").QuestionsUserAuth, {
        archiveBoard({ questionsTables }: import("./types/questions-metas-and-auths.js").QuestionsUserAuth, { board }: {
            board: string;
        }): Promise<void>;
        fetchReportedQuestions(): Promise<void>;
    }, (meta: import("../../auth/types/auth-metas.js").UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../auth/types/auth-metas.js").UserAuth & {
        questionsTables: import("../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
            "namespace-appId": import("../../../toolbox/damnedb/damn-id.js").DamnId;
        }, import("./tables/types/questions-tables.js").QuestionsTables>;
    }>>;
};
