import { AnswerDraft } from "../types/answer-draft.js";
import { Answer } from "../types/questions-and-answers.js";
import { UserMeta } from "../../../auth/types/auth-metas.js";
import { DamnId } from "../../../../toolbox/damnedb/damn-id.js";
import { QuestionsApiOptions } from "../types/questions-api-options.js";
import { QuestionsUserAuth } from "../types/questions-metas-and-auths.js";
export declare const makeQuestionsAnsweringService: (options: QuestionsApiOptions) => import("renraku/x/types/api/api-context").ApiContext<UserMeta, QuestionsUserAuth, {
    postAnswer({ access, questionsTables }: QuestionsUserAuth, inputs: {
        questionId: string;
        answerDraft: AnswerDraft;
    }): Promise<Answer>;
    archiveAnswer({ access: { user: { userId } }, checker, questionsTables }: QuestionsUserAuth, inputs: {
        archive: boolean;
        answerId: string;
    }): Promise<void>;
    likeAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: QuestionsUserAuth, inputs: {
        like: boolean;
        answerId: string;
    }): Promise<void>;
    reportAnswer({ questionsTables, checker, access: { user: { userId: userIdString } } }: QuestionsUserAuth, inputs: {
        report: boolean;
        answerId: string;
    }): Promise<void>;
}, (meta: UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../../auth/types/auth-metas.js").UserAuth & {
    questionsTables: import("../../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
        "namespace-appId": DamnId;
    }, import("../tables/types/questions-tables.js").QuestionsTables>;
}>>;
