import { apiContext } from "renraku/x/api/api-context.js";
import { find } from "../../../../toolbox/dbby/dbby-helpers.js";
import { authenticatedQuestionsPolicy } from "./policies/authenticated-questions-policy.js";
export const makeQuestionsModerationService = (options) => apiContext()({
    policy: async (meta, request) => {
        const auth = await authenticatedQuestionsPolicy(options)(meta, request);
        auth.checker.requirePrivilege("moderate questions");
        auth.checker.requireNotHavePrivilege("banned");
        return auth;
    },
    expose: {
        async archiveBoard({ questionsTables }, { board }) {
            await questionsTables.questionPosts.update({
                ...find({ board }),
                write: { archive: true },
            });
        },
        // TODO implement
        async fetchReportedQuestions() { },
    },
});
//# sourceMappingURL=questions-moderation-service.js.map