import { QuestionDraft } from "../types/question-draft.js";
import { UserMeta } from "../../../auth/types/auth-metas.js";
import { Question } from "../types/questions-and-answers.js";
import { DamnId } from "../../../../toolbox/damnedb/damn-id.js";
import { QuestionsApiOptions } from "../types/questions-api-options.js";
import { QuestionsUserAuth } from "../types/questions-metas-and-auths.js";
export declare const makeQuestionsPostingService: (options: QuestionsApiOptions) => import("renraku/x/types/api/api-context").ApiContext<UserMeta, QuestionsUserAuth, {
    postQuestion({ access, questionsTables }: QuestionsUserAuth, inputs: {
        questionDraft: QuestionDraft;
    }): Promise<Question>;
    archiveQuestion({ access: { user: { userId } }, questionsTables, checker }: QuestionsUserAuth, inputs: {
        archive: boolean;
        questionId: string;
    }): Promise<void>;
    likeQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: QuestionsUserAuth, inputs: {
        like: boolean;
        questionId: string;
    }): Promise<void>;
    reportQuestion({ questionsTables, checker, access: { user: { userId: userIdString } } }: QuestionsUserAuth, inputs: {
        report: boolean;
        questionId: string;
    }): Promise<void>;
}, (meta: UserMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../../auth/types/auth-metas.js").UserAuth & {
    questionsTables: import("../../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
        "namespace-appId": DamnId;
    }, import("../tables/types/questions-tables.js").QuestionsTables>;
}>>;
