import { AnonMeta } from "../../../auth/types/auth-metas.js";
import { DamnId } from "../../../../toolbox/damnedb/damn-id.js";
import { QuestionsApiOptions } from "../types/questions-api-options.js";
import { QuestionsAnonAuth } from "../types/questions-metas-and-auths.js";
export declare const makeQuestionsReadingService: (options: QuestionsApiOptions) => import("renraku/x/types/api/api-context").ApiContext<AnonMeta, QuestionsAnonAuth, {
    fetchQuestions({ access, authTables, questionsTables }: QuestionsAnonAuth, { board }: {
        board: string;
    }): Promise<{
        users: {
            userId: string;
            profile: import("../../../auth/aspects/users/types/profile.js").Profile;
            roles: import("../../../auth/aspects/users/types/public-user-role.js").PublicUserRole[];
            stats: import("../../../auth/aspects/users/types/user-stats.js").UserStats;
        }[];
        questions: {
            answers: import("../types/questions-and-answers.js").Answer[];
            questionId: string;
            authorUserId: string;
            board: string;
            content: string;
            archive: boolean;
            timePosted: number;
            liked: boolean;
            likes: number;
            reports: number;
            reported: boolean;
        }[];
    }>;
}, (meta: AnonMeta, request: import("renraku/x/types/http/http-request").HttpRequest) => Promise<import("../../../auth/types/auth-metas.js").LoginAuth & {
    questionsTables: import("../../../../toolbox/dbby/dbby-types.js").DbbyConstrainTables<{
        "namespace-appId": DamnId;
    }, import("../tables/types/questions-tables.js").QuestionsTables>;
}>>;
