import { makeEditorState } from "../../helpers/editor-state.js";
export function makeQuestionEditor({ requestUpdate, getTextInput, getBoardModel, }) {
    const { actions, getState, onStateChange } = makeEditorState();
    onStateChange(requestUpdate);
    const resetEditor = () => {
        const input = getTextInput();
        input.text = "";
    };
    return {
        actions,
        getState,
        getTextInput,
        submitQuestion: async () => {
            const { draftText } = getState();
            resetEditor();
            await getBoardModel().postQuestion({
                board: getBoardModel().getBoardName(),
                content: draftText,
            });
        },
    };
}
//# sourceMappingURL=question-editor.js.map