import { StoreServiceOptions } from "../types/store-options.js";
import { ClerkAuth, ClerkMeta } from "../policies/types/store-metas-and-auths.js";
import { SubscriptionPlanDraft } from "../tables/types/drafts/subscription-plan-draft.js";
export declare const makeShopkeepingService: (options: StoreServiceOptions) => import("renraku/x/types/api/api-context").ApiContext<ClerkMeta, ClerkAuth, {
    listSubscriptionPlans({ storeTables, authTables }: ClerkAuth): Promise<import("./types/subscription-plan.js").SubscriptionPlan[]>;
    createSubscriptionPlan({ stripeLiaisonForApp, storeTables, authTables }: ClerkAuth, { draft }: {
        draft: SubscriptionPlanDraft;
    }): Promise<import("./types/subscription-plan.js").SubscriptionPlan>;
    updateSubscriptionPlan({ stripeLiaisonForApp, storeTables, authTables }: ClerkAuth, { subscriptionPlanId: planIdString, draft }: {
        subscriptionPlanId: string;
        draft: SubscriptionPlanDraft;
    }): Promise<import("./types/subscription-plan.js").SubscriptionPlan>;
    deactivateSubscriptionPlan({ stripeLiaisonForApp, storeTables }: ClerkAuth, { subscriptionPlanId: planIdString }: {
        subscriptionPlanId: string;
    }): Promise<void>;
    deleteSubscriptionPlan({ storeTables, authTables }: ClerkAuth, { subscriptionPlanId: planIdString }: {
        subscriptionPlanId: string;
    }): Promise<void>;
}, import("renraku/x/types/primitives/policy").Policy<ClerkMeta, ClerkAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
