import { StoreStatus } from "../types/store-status.js";
export async function determineStoreStatus({ storeTables, account, }) {
    let status = StoreStatus.Uninitialized;
    if (account) {
        status = StoreStatus.Unlinked;
        const linked = account.details_submitted &&
            account.payouts_enabled;
        if (linked) {
            const storeInfo = await storeTables.billing.storeInfo.one({ conditions: false });
            const active = storeInfo?.ecommerceActive;
            status = active
                ? StoreStatus.Enabled
                : StoreStatus.Disabled;
        }
    }
    return status;
}
//# sourceMappingURL=determine-store-status.js.map