import { StoreApiOptions } from "./types/store-options.js";
export declare const storeApi: ({ config, storeTables, authPolicies, stripeComplex, accountReturningLinks, checkoutReturningLinks, generateId, }: StoreApiOptions) => {
    stripeConnectService: import("renraku/x/types/api/api-context").ApiContext<import("./policies/types/store-metas-and-auths.js").MerchantMeta, import("./policies/types/store-metas-and-auths.js").MerchantAuth, {
        getConnectDetails({ access, stripeLiaisonForPlatform, authorizeMerchantForApp }: import("./policies/types/store-metas-and-auths.js").MerchantAuth, { appId: appIdString }: {
            appId: string;
        }): Promise<import("./services/types/stripe-account-details.js").StripeAccountDetails>;
        generateConnectSetupLink({ access, stripeLiaisonForPlatform, authorizeMerchantForApp }: import("./policies/types/store-metas-and-auths.js").MerchantAuth, { appId: appIdString }: {
            appId: string;
        }): Promise<{
            stripeAccountId: string;
            stripeAccountSetupLink: string;
        }>;
    }, import("renraku/x/types/primitives/policy").Policy<import("./policies/types/store-metas-and-auths.js").MerchantMeta, import("./policies/types/store-metas-and-auths.js").MerchantAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    shopkeepingService: import("renraku/x/types/api/api-context").ApiContext<import("./policies/types/store-metas-and-auths.js").ClerkMeta, import("./policies/types/store-metas-and-auths.js").ClerkAuth, {
        listSubscriptionPlans({ storeTables, authTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth): Promise<import("./services/types/subscription-plan.js").SubscriptionPlan[]>;
        createSubscriptionPlan({ stripeLiaisonForApp, storeTables, authTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth, { draft }: {
            draft: import("./tables/types/drafts/subscription-plan-draft.js").SubscriptionPlanDraft;
        }): Promise<import("./services/types/subscription-plan.js").SubscriptionPlan>;
        updateSubscriptionPlan({ stripeLiaisonForApp, storeTables, authTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth, { subscriptionPlanId: planIdString, draft }: {
            subscriptionPlanId: string;
            draft: import("./tables/types/drafts/subscription-plan-draft.js").SubscriptionPlanDraft;
        }): Promise<import("./services/types/subscription-plan.js").SubscriptionPlan>;
        deactivateSubscriptionPlan({ stripeLiaisonForApp, storeTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth, { subscriptionPlanId: planIdString }: {
            subscriptionPlanId: string;
        }): Promise<void>;
        deleteSubscriptionPlan({ storeTables, authTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth, { subscriptionPlanId: planIdString }: {
            subscriptionPlanId: string;
        }): Promise<void>;
    }, import("renraku/x/types/primitives/policy").Policy<import("./policies/types/store-metas-and-auths.js").ClerkMeta, import("./policies/types/store-metas-and-auths.js").ClerkAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    shoppingService: import("renraku/x/types/api/api-context").ApiContext<import("./policies/types/store-metas-and-auths.js").CustomerMeta, import("./policies/types/store-metas-and-auths.js").CustomerAuth, {
        buySubscription({ stripeLiaisonForApp, storeTables }: import("./policies/types/store-metas-and-auths.js").CustomerAuth, { subscriptionPlanId }: {
            subscriptionPlanId: string;
        }): Promise<boolean>;
        updateSubscription({ stripeLiaisonForApp, storeTables }: import("./policies/types/store-metas-and-auths.js").CustomerAuth, { subscriptionId }: {
            subscriptionId: string;
        }): Promise<boolean>;
        endSubscription({ stripeLiaisonForApp, storeTables }: import("./policies/types/store-metas-and-auths.js").CustomerAuth, { subscriptionId }: {
            subscriptionId: string;
        }): Promise<boolean>;
    }, import("renraku/x/types/primitives/policy").Policy<import("./policies/types/store-metas-and-auths.js").CustomerMeta, import("./policies/types/store-metas-and-auths.js").CustomerAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    ecommerce: {
        statusTogglerService: import("renraku/x/types/api/api-context").ApiContext<import("./policies/types/store-metas-and-auths.js").ClerkMeta, import("./policies/types/store-metas-and-auths.js").ClerkAuth, {
            enableEcommerce({ storeTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth): Promise<void>;
            disableEcommerce({ storeTables }: import("./policies/types/store-metas-and-auths.js").ClerkAuth): Promise<void>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./policies/types/store-metas-and-auths.js").ClerkMeta, import("./policies/types/store-metas-and-auths.js").ClerkAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
        statusCheckerService: import("renraku/x/types/api/api-context").ApiContext<import("./policies/types/store-metas-and-auths.js").ProspectMeta, import("./policies/types/store-metas-and-auths.js").ProspectAuth, {
            getStoreStatus({ access, storeTables, getStripeAccount }: import("./policies/types/store-metas-and-auths.js").ProspectAuth): Promise<import("./services/types/store-status.js").StoreStatus>;
        }, import("renraku/x/types/primitives/policy").Policy<import("./policies/types/store-metas-and-auths.js").ProspectMeta, import("./policies/types/store-metas-and-auths.js").ProspectAuth, import("renraku/x/types/http/http-request").HttpRequest>>;
    };
};
