import { ops } from "../../../../framework/ops.js";
import { PlanningSituation } from "../shares/types/planning-situation.js";
import { autowatcher } from "../../../../toolbox/autowatcher/autowatcher.js";
export function storeCore() {
    const auto = autowatcher();
    const state = auto.state({
        access: undefined,
        status: ops.loading(),
        subscriptionPlanning: { mode: PlanningSituation.Mode.LoggedOut },
        permissions: {
            canWriteSubscriptionPlans: false,
        },
    });
    const actions = auto.actions({
        setAccess(access) {
            state.access = access;
        },
        setStatus(status) {
            state.status = status;
        },
        setSubscriptionPlanningSituation(situation) {
            state.subscriptionPlanning = situation;
        },
    });
    return { state, actions, track: auto.track };
}
//# sourceMappingURL=store-core.js.map