import { storeCore } from "../core/store-core.js";
import { Service } from "../../../../types/service.js";
import { StoreStatus } from "../../api/services/types/store-status.js";
import { FlexStorage } from "../../../../toolbox/flex-storage/types/flex-storage.js";
import { makeStatusCheckerService } from "../../api/services/status-checker-service.js";
import { makeStatusTogglerService } from "../../api/services/status-toggler-service.js";
export declare function ecommerceShare({ appId, storage, statusCheckerService, statusTogglerService, core: { state, actions }, }: {
    appId: string;
    storage: FlexStorage;
    core: ReturnType<typeof storeCore>;
    statusCheckerService: Service<typeof makeStatusCheckerService>;
    statusTogglerService: Service<typeof makeStatusTogglerService>;
}): {
    readonly access: import("../../../auth/types/auth-tokens.js").AccessPayload;
    readonly storeStatus: import("../../../../framework/ops.js").Op<StoreStatus>;
    readonly userCanManageStore: boolean;
    initialize: () => Promise<void>;
    enableEcommerce: () => Promise<void>;
    disableEcommerce: () => Promise<void>;
};
