import { storeCore } from "../core/store-core.js";
import { Service } from "../../../../types/service.js";
import { PlanningSituation } from "./types/planning-situation.js";
import { AccessPayload } from "../../../auth/types/auth-tokens.js";
import { SubscriptionPlanDraft } from "../../api/tables/types/drafts/subscription-plan-draft.js";
import { makeShopkeepingService } from "../../api/services/shopkeeping-service.js";
export declare function subscriptionPlanningShare({ shopkeepingService, core: { state, actions }, }: {
    core: ReturnType<typeof storeCore>;
    shopkeepingService: Service<typeof makeShopkeepingService>;
}): {
    accessChange(): Promise<void>;
    readonly access: AccessPayload;
    readonly situation: PlanningSituation.Any;
    activate: () => Promise<void>;
    createPlan: (draft: SubscriptionPlanDraft) => Promise<import("../../api/services/types/subscription-plan.js").SubscriptionPlan>;
    deactivatePlan: (subscriptionPlanId: string) => Promise<import("../../api/services/types/subscription-plan.js").SubscriptionPlan[]>;
    deletePlan: (subscriptionPlanId: string) => Promise<import("../../api/services/types/subscription-plan.js").SubscriptionPlan[]>;
};
