import { Op } from "../../../../../framework/ops.js";
import { SubscriptionPlan } from "../../../api/services/types/subscription-plan.js";
export declare namespace PlanningSituation {
    enum Mode {
        LoggedOut = 0,
        Unprivileged = 1,
        Privileged = 2
    }
    interface Base {
        mode: Mode;
    }
    interface LoggedOut {
        mode: Mode.LoggedOut;
    }
    interface Unprivileged {
        mode: Mode.Unprivileged;
    }
    interface Privileged {
        mode: Mode.Privileged;
        planCreation: Op<undefined>;
        plans: Op<SubscriptionPlan[]>;
    }
    type Any = LoggedOut | Unprivileged | Privileged;
}
