import { Service } from "../../../types/service.js";
import { AccessPayload } from "../../auth/types/auth-tokens.js";
import { TriggerBankPopup } from "./shares/types/trigger-bank-popup.js";
import { makeShopkeepingService } from "../api/services/shopkeeping-service.js";
import { FlexStorage } from "../../../toolbox/flex-storage/types/flex-storage.js";
import { makeStatusCheckerService } from "../api/services/status-checker-service.js";
import { makeStatusTogglerService } from "../api/services/status-toggler-service.js";
import { makeStripeConnectService } from "../api/services/stripe-connect-service.js";
export declare function makeStoreModel({ appId, storage, shopkeepingService, statusCheckerService, statusTogglerService, stripeAccountsService, triggerBankPopup, }: {
    appId: string;
    storage: FlexStorage;
    shopkeepingService: Service<typeof makeShopkeepingService>;
    statusCheckerService: Service<typeof makeStatusCheckerService>;
    statusTogglerService: Service<typeof makeStatusTogglerService>;
    stripeAccountsService: Service<typeof makeStripeConnectService>;
    triggerBankPopup: TriggerBankPopup;
}): {
    track: <X>(stakeout: import("../../../toolbox/autowatcher/types/autowatcher-types.js").Stakeout<X>) => () => void;
    shares: {
        subscriptionPlanning: {
            accessChange(): Promise<void>;
            readonly access: AccessPayload;
            readonly situation: import("./shares/types/planning-situation.js").PlanningSituation.Any;
            activate: () => Promise<void>;
            createPlan: (draft: import("../api/tables/types/drafts/subscription-plan-draft.js").SubscriptionPlanDraft) => Promise<import("../api/services/types/subscription-plan.js").SubscriptionPlan>;
            deactivatePlan: (subscriptionPlanId: string) => Promise<import("../api/services/types/subscription-plan.js").SubscriptionPlan[]>;
            deletePlan: (subscriptionPlanId: string) => Promise<import("../api/services/types/subscription-plan.js").SubscriptionPlan[]>;
        };
        ecommerce: {
            readonly access: AccessPayload;
            readonly storeStatus: import("../../../framework/ops.js").Op<import("../api/services/types/store-status.js").StoreStatus>;
            readonly userCanManageStore: boolean;
            initialize: () => Promise<void>;
            enableEcommerce: () => Promise<void>;
            disableEcommerce: () => Promise<void>;
        };
        bank: {
            readonly access: AccessPayload;
            getStripeAccountDetails(appId: string): Promise<import("../api/services/types/stripe-account-details.js").StripeAccountDetails>;
            setupStripeAccount(appId: string): Promise<void>;
        };
    };
    accessChange(access: AccessPayload): Promise<void>;
};
