import { storeCore } from "./core/store-core.js";
import { bankShare } from "./shares/bank-share.js";
import { ecommerceShare } from "./shares/ecommerce-share.js";
import { subscriptionPlanningShare } from "./shares/subscription-planning-share.js";
export function makeStoreModel({ appId, storage, shopkeepingService, statusCheckerService, statusTogglerService, stripeAccountsService, triggerBankPopup, }) {
    const core = storeCore();
    const { track, actions } = core;
    const shares = {
        subscriptionPlanning: subscriptionPlanningShare({ core, shopkeepingService }),
        ecommerce: ecommerceShare({ core, appId, storage, statusTogglerService, statusCheckerService }),
        bank: bankShare({ core, stripeAccountsService, triggerBankPopup })
    };
    return {
        track,
        shares,
        async accessChange(access) {
            actions.setAccess(access);
            await shares.subscriptionPlanning.accessChange();
        }
    };
}
//# sourceMappingURL=store-model.js.map