import { bankPopupNamespace } from "./common/bank-popup-namespace.js";
import { popupTrustedOrigins } from "../../../../assembly/constants.js";
import { setupManualPopup } from "../../../../toolbox/popups/setup-manual-popup.js";
void async function main() {
    const { hash } = window.location;
    const popupControls = setupManualPopup({
        namespace: bankPopupNamespace,
        allowedOrigins: popupTrustedOrigins,
    });
    popupControls.sendReadyAndListenForGo((targetOrigin, { stripeAccountSetupLink }) => {
        if (hash === "") {
            window.location.href = stripeAccountSetupLink;
        }
        else if (hash === "#stripe-return") {
            popupControls.respondPayload(targetOrigin, undefined);
        }
        else if (hash === "#stripe-refresh") {
            popupControls.respondPayload(targetOrigin, undefined);
        }
        else {
            popupControls.respondError(targetOrigin, new Error("unknown popup context"));
        }
    });
}();
//# sourceMappingURL=bank-popup-script.js.map