import { Stripe } from "stripe";
import { StripeComplex } from "./types/stripe-complex.js";
import { AuthTables } from "../../auth/types/auth-tables.js";
import { Logger } from "../../../toolbox/logger/interfaces.js";
import { StoreTables } from "../api/tables/types/store-tables.js";
import { UnconstrainedTables } from "../../../framework/api/types/table-namespacing-for-apps.js";
export declare function stripeWebhooks({ logger }: {
    logger: Logger;
    stripeComplex: StripeComplex;
    authTables: UnconstrainedTables<AuthTables>;
    storeTables: UnconstrainedTables<StoreTables>;
}): {
    "checkout.session.completed"(event: Stripe.Event): Promise<void>;
    "invoice.paid"(event: Stripe.Event): Promise<void>;
    "invoice.payment_failed"(event: Stripe.Event): Promise<void>;
    "customer.subscription.updated"(event: Stripe.Event): Promise<void>;
};
