import { EnterPressEvent } from "./events/enter-press.js";
import { TextInputParser } from "./types/text-input-parser.js";
import { ValueChangeEvent } from "./events/value-change-event.js";
import { TextInputValidator } from "./types/text-input-validator.js";
import { AutowatcherComponent } from "../../../framework/component/component.js";
export declare class XioTextInput<xParsedValue = string> extends AutowatcherComponent {
    ["initial"]: string;
    ["readonly"]: boolean;
    ["textarea"]: boolean;
    ["hide-validation"]: boolean;
    ["show-validation-when-empty"]: boolean;
    ["disabled"]: boolean;
    ["placeholder"]: string;
    ["hidden"]: boolean;
    focus(): void;
    parser: TextInputParser<xParsedValue>;
    validator: undefined | TextInputValidator<xParsedValue>;
    problems: string[];
    get value(): xParsedValue;
    get text(): string;
    set text(value: string);
    onvaluechange: (event: ValueChangeEvent<xParsedValue>) => void;
    onenterpress: (event: EnterPressEvent) => void;
    private input;
    private draft;
    private lastDraft;
    private dispatchValueChange;
    private dispatchEnterPress;
    private updateFromRawInput;
    private handleInputKeyUp;
    private handleInputChange;
    init(): void;
    render(): import("lit-html/lib/template-result").TemplateResult;
}
