export function modelDataInitializationWidget({ load, reset }) {
    let loggedIn = false;
    let usedInDom = false;
    function performLoadWhenCircumstancesAreFavorable() {
        if (loggedIn && usedInDom)
            load();
        else
            reset();
    }
    return {
        indicateDomUsage() {
            if (!usedInDom) {
                usedInDom = true;
                performLoadWhenCircumstancesAreFavorable();
            }
        },
        accessChange(access) {
            const status = !!access;
            if (loggedIn !== status) {
                loggedIn = status;
                performLoadWhenCircumstancesAreFavorable();
            }
        },
    };
}
//# sourceMappingURL=model-data-initialization-widget.js.map