import { _dbbyTableSymbol } from "./dbby-table-symbol.js";
export function and(...conditions) {
    return ["and", ...conditions];
}
export function or(...conditions) {
    return ["or", ...conditions];
}
export function find(...rows) {
    return rows.length
        ? { conditions: or(...rows.map(row => ({ equal: row }))) }
        : { conditions: false };
}
export function findAll(values, valueForRow) {
    return { conditions: or(...values.map(v => ({ equal: valueForRow(v) }))) };
}
export function isDbbyTable(x) {
    return x && typeof x === "object" && x[_dbbyTableSymbol];
}
//# sourceMappingURL=dbby-helpers.js.map