export function deathWithDignity({ logger = console } = {}) {
    process.on("SIGINT", () => {
        logger.log("💣 SIGINT");
        process.exit(0);
    });
    process.on("SIGTERM", () => {
        logger.log("🗡️ SIGTERM");
        process.exit(0);
    });
    process.on("uncaughtException", error => {
        logger.error("🚨 unhandled exception:", error);
        process.exit(1);
    });
    process.on("unhandledRejection", (reason, error) => {
        logger.error("🚨 unhandled rejection:", reason, error);
        process.exit(1);
    });
}
//# sourceMappingURL=death-with-dignity.js.map