import { FlexStorage } from "../types/flex-storage.js";
export declare function storageCache<xData>({ storage, lifespan, storageKey, load, }: {
    lifespan: number;
    storageKey: string;
    storage: FlexStorage;
    load: () => Promise<xData>;
}): {
    read(): Promise<xData>;
    readFresh(): Promise<xData>;
    readCached(): Promise<undefined | xData>;
    clear(): Promise<void>;
    write(data: xData, time?: number): Promise<void>;
};
