export function jsonStorage(storage) {
    return {
        read(key) {
            let data = undefined;
            const raw = storage.getItem(key);
            if (raw) {
                try {
                    data = JSON.parse(raw);
                }
                catch (error) {
                    storage.removeItem(key);
                }
            }
            return data;
        },
        write(key, data) {
            const json = JSON.stringify(data);
            storage.setItem(key, json);
        },
        delete(key) {
            storage.removeItem(key);
        },
    };
}
//# sourceMappingURL=json-storage.js.map